Fri Aug 16 08:56:17 CEST 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.2.1 released.

Wed Aug 14 17:34:10 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/corba.h:
          Document that this file is for backward compatibility
          only. Thanks to Lukas Grützmacher <Lukas dot Gruetzmacher
          at ais-automation dot com> that this was not done.

Tue Aug 13 13:43:15 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * interop-tests/AnyTypeCode/README.txt:
        * interop-tests/AnyTypeCode/atc.mwc:
        * interop-tests/AnyTypeCode/build.xml:

        * interop-tests/AnyTypeCode/idl/Demo.idl:

        * interop-tests/AnyTypeCode/jacorb/demo/ATC_TestImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/BaseValueImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/BaseValueValueFactoryImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/Client.java:
        * interop-tests/AnyTypeCode/jacorb/demo/NestedValueImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/NestedValueValueFactoryImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/Server.java:

        * interop-tests/AnyTypeCode/tao/BaseValueFactory.h:
        * interop-tests/AnyTypeCode/tao/BaseValueFactory.cpp:
        * interop-tests/AnyTypeCode/tao/BaseValueImpl.h:
        * interop-tests/AnyTypeCode/tao/BaseValueImpl.cpp:
        * interop-tests/AnyTypeCode/tao/Client.cpp:
        * interop-tests/AnyTypeCode/tao/Demo.mpc:
        * interop-tests/AnyTypeCode/tao/Demo_i.cpp:
        * interop-tests/AnyTypeCode/tao/NestedValueFactory.h:
        * interop-tests/AnyTypeCode/tao/NestedValueFactory.cpp:
        * interop-tests/AnyTypeCode/tao/NestedValueImpl.h:
        * interop-tests/AnyTypeCode/tao/NestedValueImpl.cpp:
        * interop-tests/AnyTypeCode/tao/Server.cpp:

          Fuzz fix.

Tue Aug 13 06:45:55 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/constants.idl:
          Reverted suppression of bcc32 warning

Mon Aug 12 20:50:27 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * interop-tests/AnyTypeCode:

        * interop-tests/AnyTypeCode/README.txt:
        * interop-tests/AnyTypeCode/atc.mwc:
        * interop-tests/AnyTypeCode/build.xml:
        * interop-tests/AnyTypeCode/idl:

        * interop-tests/AnyTypeCode/idl/Demo.idl:

        * interop-tests/AnyTypeCode/jacorb:

        * interop-tests/AnyTypeCode/jacorb/demo:

        * interop-tests/AnyTypeCode/jacorb/demo/ATC_TestImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/BaseValueImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/BaseValueValueFactoryImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/Client.java:
        * interop-tests/AnyTypeCode/jacorb/demo/NestedValueImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/NestedValueValueFactoryImpl.java:
        * interop-tests/AnyTypeCode/jacorb/demo/Server.java:

        * interop-tests/AnyTypeCode/tao:

        * interop-tests/AnyTypeCode/tao/BaseValueFactory.h:
        * interop-tests/AnyTypeCode/tao/BaseValueFactory.cpp:
        * interop-tests/AnyTypeCode/tao/BaseValueImpl.h:
        * interop-tests/AnyTypeCode/tao/BaseValueImpl.cpp:
        * interop-tests/AnyTypeCode/tao/Client.cpp:
        * interop-tests/AnyTypeCode/tao/Demo.mpc:
        * interop-tests/AnyTypeCode/tao/Demo_i.h:
        * interop-tests/AnyTypeCode/tao/Demo_i.cpp:
        * interop-tests/AnyTypeCode/tao/NestedValueFactory.h:
        * interop-tests/AnyTypeCode/tao/NestedValueFactory.cpp:
        * interop-tests/AnyTypeCode/tao/NestedValueImpl.h:
        * interop-tests/AnyTypeCode/tao/NestedValueImpl.cpp:
        * interop-tests/AnyTypeCode/tao/Server.cpp:

          New test to show that TAO now can unmarshal Anys that carry indirect
          typecodes. For now TAO still does not generate indirect typecodes.

Mon Aug 12 14:43:40 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3252_Regression/server.cpp:
        * tests/Bug_3574_Regression/test.cpp:
        * tests/Bug_4102_Regression:
        * tests/IDL_Test/constants.idl:
          Suppressed some warnings with bcc32

Mon Aug 12 08:28:25 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3252_Regression/server.cpp:
        * tao/MCAST_Parser.cpp:
        * tests/IDL_Test/main.cpp:
          Fixed bcc32 warnings

Mon Aug 12 07:18:01 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
          Fixed conversion warnings with bcc32

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:
          Added cast to int when streaming a CORBA::Boolean to Storabe_Base,
          fixes bcc32 error

Sun Aug 11 17:51:49 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Storable_Base.h:
        * tao/Storable_FlatFileStream.h:
        * tao/Storable_FlatFileStream.cpp:
          Reverted addition of operator bool, breaks the ft tests

Sat Aug 10 17:11:21 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.cpp:
          Reapplied, didn't solve the ft failures, need to do some
          time travel on the repo to see where this got introduced

Fri Aug  9 14:56:20 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.cpp:
          Reverted these changes, the break of the ft tests must be here

Fri Aug  9 13:00:38 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Security DevGuideExamples don't work with ACE_FOR_TAO

Fri Aug  9 07:52:26 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
          Removed const addition, only change I can see that is in
          the FT area

Thu Aug  8 13:27:18 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicAny/DynValueCommon_i.cpp:
          Removed several commented out includes

Wed Aug  7 09:43:50 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/unit/Notify/MC/MonitorManager/MonitorClient.cpp:
        * orbsvcs/tests/unit/Notify/MC/NotificationServiceMonitor/NotificationServiceMonitor.cpp:
          Code changes to cleanup scoreboard

Wed Aug  7 07:05:41 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO-INSTALL.html:
        * TAO_IDL/ast/ast_string.cpp:
        * TAO_IDL/be/be_visitor_attr_assign.cpp:
        * TAO_IDL/be/be_visitor_attr_return.cpp:
        * TAO_IDL/be/be_visitor_attr_setarg_type.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/include/ast_generator.h:
        * orbsvcs/ImplRepo_Service/Adapter_Activator.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncListManager.h:
        * orbsvcs/ImplRepo_Service/Forwarder.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/Trader/Trader.h:
        * orbsvcs/tests/Event/Performance/Connect.h:
        * orbsvcs/tests/Event/Performance/Connect.cpp:
        * orbsvcs/tests/Notify/Bug_3252_Regression/server.cpp:
        * tao/Dynamic_TP/DTP_POA_Strategy.h:
        * tao/Incoming_Message_Stack.h:
        * tao/Storable_Base.h:
        * tao/Storable_FlatFileStream.h:
        * tao/Storable_FlatFileStream.cpp:
        * tests/Bug_3941_Regression/test.cpp:
        * tests/DynValue_Test/ValueTypes_impl.h:
          Revived port for Embarcadero C++ Builder XE4 using bcc32

          commit b9b08e429017ccd9cd15bafb5b7d461e6c7706e2
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Thu Aug 1 20:36:14 2013 +0200

                    Fixed incorrect debug message and ambiguity with bcc32
                  * TAO/tests/Bug_3941_Regression/test.cpp:

          commit 4f5ded317dc59e12c207fcd455f544f9bbe98ccb
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Fri Jul 26 19:17:37 2013 +0200

                    Attempt to fix another warning for bcc32
                  * TAO/orbsvcs/tests/Notify/Bug_3252_Regression/server.cpp:

          commit 7d233fdff45268cff9a63b2ea9811db480879876
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Fri Jul 26 19:02:18 2013 +0200

                    Use ACE_ERROR for errors
                  * TAO/orbsvcs/tests/Notify/Bug_3252_Regression/server.cpp:

          commit 80f12a906ef66c5ee6ca32413957a0b629c9e7b5
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Fri Jul 26 18:57:10 2013 +0200

                    Fix bcc32 errors
                  * TAO/tests/DynValue_Test/ValueTypes_impl.h:

          commit 30383d0b1622590e379895e3e887966a8de8bec1
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Fri Jul 26 18:50:36 2013 +0200

                    Fix bcc32 warnings
                  * TAO/orbsvcs/tests/Event/Performance/Connect.cpp:
                  * TAO/orbsvcs/tests/Event/Performance/Connect.h:

          commit 4c955236d2f702c921875576892ad9fc51b99d36
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Thu Jul 25 10:03:27 2013 +0200

                    Use const/fix C++BuilderXE 4 warning
                  * TAO/orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.cpp:
                  * TAO/orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

          commit d1c1e8c357ae8d0925e64e824f319e8877812bdb
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Thu Jul 25 10:00:53 2013 +0200

                    Added bool insert/extract operators to resolve ambiguity
                    errors with C++BuilderXE 4
                  * TAO/orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
                  * TAO/tao/Storable_Base.h:
                  * TAO/tao/Storable_FlatFileStream.cpp:
                  * TAO/tao/Storable_FlatFileStream.h:

          commit 9da7d71b26fc5168b187df1856bda3cb3a642c23
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Wed Jul 24 15:13:38 2013 +0200

                    Fix link problem with bcc32
                  * TAO/orbsvcs/orbsvcs/Trader/Trader.h:

          commit c2eb6f4e43a00cd9f91c149390780d9804cc784e
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Wed Jul 24 15:12:44 2013 +0200

                    Fix link problems with bcc32
                  * TAO/orbsvcs/ImplRepo_Service/Adapter_Activator.h:
                  * TAO/orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
                  * TAO/orbsvcs/ImplRepo_Service/AsyncListManager.h:
                  * TAO/orbsvcs/ImplRepo_Service/Forwarder.h:

          commit 16854b8d9821d87fc8e7334d8fb59cf5596e8310
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Wed Jul 24 15:07:53 2013 +0200

                    Fix bcc32 problems because of signature mismatches
                  * TAO/orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.h:
                  * TAO/orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
                  * TAO/orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:

          commit ee6893a5065cbe56df7e4ab5aae31971ddf0edf3
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Fri Jun 28 19:34:00 2013 +0200

                    Updated borland instructions
                  * TAO/TAO-INSTALL.html:

          commit 1ac4a32bb448852cf8c1f2fa90d6b14f1fd2d339
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Fri Jun 28 19:28:01 2013 +0200

                    Fix conversion warnings for bcc32:
                  * TAO/TAO_IDL/ast/ast_string.cpp:
                  * TAO/TAO_IDL/be/be_visitor_attr_assign.cpp:
                  * TAO/TAO_IDL/be/be_visitor_attr_return.cpp:
                  * TAO/TAO_IDL/be/be_visitor_attr_setarg_type.cpp:
                  * TAO/TAO_IDL/be/be_visitor_null_return_value.cpp:

          commit 52a0b8c3e3afa65cb4a136027c4211ada9cbaf70
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Fri Jun 28 09:15:11 2013 +0200

                    Attempt to fix some bcc32 errors
                  * TAO/orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
                  * TAO/tao/Dynamic_TP/DTP_POA_Strategy.h:
                  * TAO/tao/Incoming_Message_Stack.h:

          commit c257a73968b54bcab543cb5f2f436f16a9d63df8
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Thu Jun 27 11:13:25 2013 +0200

                    Cleanup port
                  * TAO/orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
                  * TAO/orbsvcs/orbsvcs/Trader/Trader.h:

          commit cf41d073ee048ba51a7cda72ef1b24c78b73201f
          Author: Johnny Willemsen <jwillemsen@remedy.nl>
          Date:   Wed May 29 08:33:56 2013 +0200

                    Added default constructor
                  * TAO/TAO_IDL/include/ast_generator.h:

Wed Aug  7 06:52:43 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/TypeCode_Case_Enum_T.cpp:
          Layout changes

Mon Aug  5 14:25:16 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/MessengerClient.cpp:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/cacert.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/client.conf:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/client_cert.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/client_key.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/server.conf:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/server_cert.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/server_key.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/MessengerClient.cpp:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/README:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/cacert.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/client.conf:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/client1.conf:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/client_cert.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/client_key.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/server.conf:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/server1.conf:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/server_cert.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/server_key.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/README:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/cacert.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/client.conf:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/client1.conf:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/client_cert.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/client_key.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/server.conf:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/server_cert.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/server_key.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/clientcert.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/clientkey.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/servercert.pem:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/serverkey.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/clientcert.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/clientkey.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/servercert.pem:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/serverkey.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/clientcert.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/clientkey.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/servercert.pem:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/serverkey.pem:
          Certificates where expired, use now the certificates we also use
          for the other orbsvcs security tests

Mon Aug  5 06:25:19 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/unit/Notify/MC/MonitorManager/MonitorManager.cpp:
          Simplified some logging code to not trigger a false posivite
          when compiling TAO without logging

Wed Jul 31 17:39:26 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Acceptor_Impl.cpp:
          Rename local variable to not trigger any false errors
          on the scoreboard

Tue Jul 30 15:38:17 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Bug_4118_Regression/run_test.pl:

          Make the script run $ACE_ROOT/bin/tao_nsadd, since some
          windows builds just put it there rather than the build
          directory.

Mon Jul 29 20:10:32 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Bug_4118_Regression/README:
        * orbsvcs/tests/Bug_4118_Regression/run_test.pl:

          Added a readme file and cleaned up the test script.

Mon Jul 29 16:22:16 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

          fix for Bug 4118. The context held on to a lock too long
          and in certain situations this could cause a deadlock.

        * orbsvcs/tests/Bug_4118_Regression/run_test.pl:

          This is a test that verifies the fix is effective. The test
          should run quickly if all is well, but will fail with a timeout
          if the deadlock reappears.

        * bin/tao_other_tests.lst:

          Added new regression test to the list.

Wed Jul 24 14:55:23 UTC 2013  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be_include/be_visitor_operation/rettype_return_cs.h:
        * TAO_IDL/be_include/be_visitor_valuetype/field_cdr_cs.h:

          Fixed bad #ifndef include guards in source code. Thanks to
          Yogesh Sharma <Yogesh dot Sharma at saabsensis dot com> for
          reporting the bug and supplying a patch. Closes [BUGID:4117].

Mon Jul  1 16:50:09 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/LoadBalancing/LB_Random.cpp:

          Fix error resulting from hasty commit.

Mon Jul  1 16:00:19 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/LoadBalancing/LB_Random.cpp:

          Updated the algorithm used to select the next server, as I found the
          existing algorithm could possibly generate an out-of-bounds array
          index that would either cause the ASSERT to fail, or a failure
          elsewhere if the ASSERT were compiled out. The problem definitely
          appeared on 64-bit machines, when ACE_OS::rand() returned a value of
          RAND_MAX - 63 or higher. Also, since the function is selecting a
          random number, rather than having an ASSERT failure or other crash,
          it now just selects a new number if the one selected is out of
          bounds.

Thu Jun 27 16:27:29 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/FtRtecEventChannelAdmin.idl:

          Missed the other warning-generating IDL change.

Tue Jun 25 16:50:15 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/FtRtecEventChannelAdmin.idl:

          further refinement to warning-generating IDL.

Fri Jun 21 07:42:50 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp:
          Fixed coverity reported error

Wed Jun 19 22:41:28 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:

          Add a comment about IMR List function fix.

        * orbsvcs/ImplRepo_Service/LiveCheck.h:

          removed unreferenced/unimplemented signatures.

        * orbsvcs/orbsvcs/FtRtecEventChannelAdmin.idl:

          Cleaning up scoreboard warning. The best fix would be to replace
          the union with a struct, since there is only the one member, but I
          went with a non-boolean union (to shut up the clang compiler) to
          ensure the generated code kept the same acccessor operations.
          Changing to a struct would be more efficient, but represents an
          interface change that might break existing code.

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.cpp:
        * orbsvcs/orbsvcs/IFRService/Container_i.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Transport.cpp:
        * orbsvcs/orbsvcs/Trader/Trader.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_T.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/server.cpp:
        * tao/Storable_FlatFileStream.cpp:

          Clean up various scoreboard warnings.

Wed Jun 12 13:03:47 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/IPV6/run_test.pl:

          Remove the verbose debugging, it is no longer needed.

Mon Jun 10 21:03:58 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/ping_interrupt/server_interceptor.cpp:

          Fix an ambiguity tripping up the OpenVMS build.

Fri Jun  7 13:26:15 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/IPV6/run_test.pl:

          Added verbose debugging to suspect client too in case the problem is
          in parsing the constructed address.

Thu Jun  6 23:19:04 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IIOP_Endpoint.cpp:

          Fix for an old bug that occurred when a client is using
          -ORBPreferIPv6Interfaces 1, and the supplied IOR contains
          only a single IPv4 endpoint.

        * tests/IPV6/run_test.pl:

          Add a regression test for the above. Also an intemediate patch to
          make one of the regression tests dump verbose logging to see why the
          test fails on the nightly build host.

Thu Jun  6 12:38:36 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * performance-tests/Cubit/TAO/MT_Cubit/server.cpp:

          Another wchar build fix.

Thu Jun  6 12:10:48 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Offer_Database.cpp:
          Fixed Coverity warning

        * orbsvcs/orbsvcs/Trader/Trading_Loader.h:
          Fixed Coverity warning and doxygen changes

Wed Jun  5 20:11:23 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * examples/AMI/FL_Callback/progress.cpp:

        * orbsvcs/tests/ImplRepo/ping_interrupt/server.cpp:

        * performance-tests/Cubit/TAO/MT_Cubit/server.cpp:

        * tests/FL_Cube/server.cpp:

        * tests/QtTests/client.cpp:
        * tests/QtTests/server.cpp:

          Fixed wchar build compile errors

Tue Jun  4 19:30:32 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Clean up an error at shutdown time.

Mon Jun  3 21:16:43 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:

          Add new test to suite.

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

          Add more high-verbosity logging output.

        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Add code to guard against server termination while waiting
          for a ping response. This can happen if the target POA gets
          shutdown while another thread was handling a ping request from
          the IMR. If the POA's server_is_shutting_down call gets back
          to the ImR before the ping reply. The ImR was not properly
          cleaning up the callback object, this would lead to a call
          to a deleted object triggering the crash.

        * orbsvcs/tests/ImplRepo/ping_interrupt/README:
        * orbsvcs/tests/ImplRepo/ping_interrupt/Server_ORBInitializer.h:
        * orbsvcs/tests/ImplRepo/ping_interrupt/Server_ORBInitializer.cpp:
        * orbsvcs/tests/ImplRepo/ping_interrupt/Test.idl:
        * orbsvcs/tests/ImplRepo/ping_interrupt/Test_i.h:
        * orbsvcs/tests/ImplRepo/ping_interrupt/Test_i.cpp:
        * orbsvcs/tests/ImplRepo/ping_interrupt/ping_interrupt.mpc:
        * orbsvcs/tests/ImplRepo/ping_interrupt/run_test.pl:
        * orbsvcs/tests/ImplRepo/ping_interrupt/server.cpp:
        * orbsvcs/tests/ImplRepo/ping_interrupt/server_interceptor.h:
        * orbsvcs/tests/ImplRepo/ping_interrupt/server_interceptor.cpp:

          Added a test to simulate the above by using a server interceptor
          to trigger the POA shutdown before sending the ping result.

Thu May 30 18:52:55 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Trading/colocated_test.cpp:
        * orbsvcs/tests/Trading/export_test.cpp:
        * orbsvcs/tests/Trading/import_test.cpp:
          Wchar fixes

Thu May 30 17:39:37 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          removed a redundant experimental member value and more code style
          cleanup.

Wed May 29 21:32:51 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncListManager.h:
        * orbsvcs/ImplRepo_Service/AsyncListManager.cpp:

          Add in the "jacorb" prefix for JacORB based server identifiers.
          Also add the testing of initial status to avoid waiting for non-
          pingable servers. Add some higher verbosity level debug output.

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

          Minor code style fix.

        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Support the initial setting of of state when a listener is added.

          Prevent redundant timeout registrations by deferring a timer schedule
          if one is currently being processed. This could happen if a ping
          required a non-blocking connect, allowing a new request to be received.
          Subsequent pings may still be requested, but only the next closest
          time will be schheduled after a current handle timeout is completed.


Wed May 29 19:27:35 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Trading/Offer_Exporter.cpp:
        * orbsvcs/tests/Trading/Service_Type_Exporter.cpp:
          Attempt to fix windows warnings

Wed May 29 13:44:23 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Bounded_Basic_String_Sequence_T.h:
        * tao/Bounded_Object_Reference_Sequence_T.h:
        * tao/Bounded_Value_Sequence_T.h:
        * tao/Unbounded_Basic_String_Sequence_T.h:
        * tao/Unbounded_Object_Reference_Sequence_T.h:
          Doxygen doesn't support copydoc with templates, maybe in
          the future, so just made them general C++ comments so that
          we easily could add this in the future

Wed May 29 07:00:03 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators.cpp:
        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.cpp:
        * orbsvcs/tests/Trading/Offer_Exporter.cpp:
        * orbsvcs/tests/Trading/Offer_Importer.cpp:
        * orbsvcs/tests/Trading/Service_Type_Exporter.h:
        * orbsvcs/tests/Trading/Service_Type_Exporter.cpp:
        * orbsvcs/tests/Trading/TT_Info.cpp:
        * orbsvcs/tests/Trading/colocated_test.cpp:
        * orbsvcs/tests/Trading/export_test.cpp:
        * orbsvcs/tests/Trading/import_test.cpp:
          Fixed several memory leaks in the trading service and
          also extensions to the unit test. Thanks to Rudy Pot
          <rpot at aweta dot nl> for delivering the patches. This
          fixed bugzilla 4100

        * tao/PortableServer/Operation_Table_Dynamic_Hash.h:
          Doxygen fix

Mon May 27 10:18:30 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updates in preparation of releasing x.2.0

Mon May 27 10:09:24 CEST 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.2.0 released.

Fri May 24 07:55:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * tao/ObjRefTemplate/ObjectReferenceTemplate_i.cpp:
        * orbsvcs/examples/ORT/Gateway_ObjRef_Factory.cpp:

          Add .in () accessor to vars being duplicated. This stops some older
          compilers issuing warnings about which pointer accessor they are
          automatically selecting.

Wed May 22 15:15:34 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:

          Fuzz fix.

Tue May 21 13:22:47 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Iterator.h:
        * orbsvcs/ImplRepo_Service/Iterator.cpp:

          Removed obsolete class.

        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          scoreboard cleanup.

Tue May 21 13:17:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/tests/Miop/McastLocal/README:

          Add note about failures on Solaris, AIX and MacOS due to problems
          with sending data via multicast on loopback.

Tue May 21 11:12:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:

          Add sanity check for SndSock value obtained from system (without TABS)

Mon May 20 16:41:51 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncListManager.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Add and improve debugging output.

Mon May 20 13:52:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/tests/miop/McastLocal/run_test.pl:

          Add debug switch to client as well.

Mon May 20 13:10:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * tao/params.cpp:

          Remove dead code and unused state variable (expect_char).

Mon May 20 12:15:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * bin/tao_other_tests.lst:

          Added !NO_LOOPBACK_MCAST config item to McastLocal/Mcast & McastPreferredInterfaces
          tests.

Mon May 20 09:59:30 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/tests/miop/McastHello/McastHello.cpp:
        * orbsvcs/tests/miop/McastLocal/McastHello.cpp:

          Remove warning about unused instance_ variable.

Mon May 20 09:50:30 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:

          Fix fuzz warning about a white-space trailing a comment line.

Mon May 20 07:47:30 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * bin/tao_other_test.lst:

          Enable debug for orbsvcs/tests/miop/McastLocal.

Sun May 19 13:20:04 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:

          fix compile issue on platforms that don't have interceptors enabled.

Fri May 17 19:02:02 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncListManager.cpp:

          Added some debugging output.

Fri May 17 13:42:24 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * docs/libraries.html:

          Add descrption of libTAO_Async_IORTable.so

        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:

          Fix for problem that surfaces when a CSD implementation is used along with
          server-side portable interceptors.

Fri May 17 13:40:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * NEWS:
        * TAO_IDL/be/be_visitor_valuetype/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:
        * TAO_IDL/be_include/be_visitor_valuetype/valuetype_obv_cs.h:
        * tao/Valuetype/ValueBase.cpp:
        * tao/Valuetype/ValueBase.h:

          Fix for Buzilla 1391. Valuetypes now generate a _copy_value()
          method where appliciable. This is now treated as a pure
          virtual function (as per the CORBA spec). Build TAO with
          #define TAO_VALUETYPE_COPY_VALUE_IS_NOT_PURE  in effect to
          return to the previous "not required" behaviour.

        * tao/ObjRefTemplate/ObjectReferenceTemplate_i.h:
        * tao/ObjRefTemplate/ObjectReferenceTemplate_i.cpp:
        * tao/DynamicInterface/AMH_DSI_Response_Handler.cpp:
        * tao/DynamicInterface/AMH_DSI_Response_Handler.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.cpp:
        * DevGuideExamples/ValueTypes/Messenger/Message_i.h:
        * DevGuideExamples/ValueTypes/Messenger/Message_i.cpp:
        * DevGuideExamples/ValueTypes/Bank/client.cpp:
        * DevGuideExamples/ValueTypes/Bank/server.cpp:
        * tests/OBV/Forward/TreeController.idl:
        * tests/OBV/Truncatable/client.cpp:
        * tests/OBV/Indirection/Factory.cpp:
        * tests/OBV/Collocated/Forward/TreeController.idl:
        * tests/ORT/ObjectReferenceFactory.cpp:
        * tests/ORT/ObjectReferenceFactory.h:
        * tests/Bug_2791_Regression/Message_i.h:
        * tests/Bug_2791_Regression/Message_i.cpp:
        * examples/OBV/Typed_Events/Event_Types_impl.cpp:
        * examples/OBV/Typed_Events/Event_Types_impl.h:
        * orbsvcs/DevGuideExamples/ValueTypes/Notify/Event_i.h:
        * orbsvcs/examples/ORT/Gateway_ObjRef_Factory.cpp:
        * orbsvcs/examples/ORT/Gateway_ObjRef_Factory.h:

          Add _copy_value() implimentation where necessary in the examples
          and ensure all Valuetypes are HEAP allocated, (as all valuetypes
          are reference counted, they are required to be deletable, not
          STACK based).

Fri May 17 10:11:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:

          size_t not CORBA::ULong for ACE_Vector size.

Fri May 17 09:10:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:

          Rename ALLOW_UNICAST_MIOP to TAO_ALLOW_UNICAST_MIOP, this feature
          was originally not going to be committed into the Open Source but
          it is being used (unwisely in our opinion) in the community. It
          short circuits the error checking on joins, such that MIOP can
          be used to send to a unicast address. I would not recommend building
          TAO with this option set.

Fri May 17 08:26:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:

          Correction to Cater ALLOW_UNICAST_MIOP builds.

Fri May 17 08:03:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:

          Correction to Cater for wide character version of call.

Thu May 16 09:01:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * docs/Options.html:
        * tao/params.h:
        * tao/params.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:
        * orbsvcs/tests/Miop/McastLocal/client.cpp:
        * orbsvcs/tests/Miop/McastLocal/McastHello.cpp:
        * orbsvcs/tests/Miop/McastLocal/McastHello.h:
        * orbsvcs/tests/Miop/McastLocal/McastLocal.mpc:
        * orbsvcs/tests/Miop/McastLocal/README:
        * orbsvcs/tests/Miop/McastLocal/run_test.pl:
        * orbsvcs/tests/Miop/McastLocal/server.cpp:
        * orbsvcs/tests/Miop/McastLocal/svc_client.conf:
        * orbsvcs/tests/Miop/McastLocal/svc_server1.conf:
        * orbsvcs/tests/Miop/McastLocal/svc_server2.conf:
        * orbsvcs/tests/Miop/McastLocal/Test.idl:
        * bin/tao_other_tests.lst:

          Provide UIPMC Factory configuration option -ORBListenerInterfaces
          see docs/Options.html for details.

Wed May 15 18:21:40 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Exception.cpp:
          Shouldn't put asserts in the core code

Tue May 14 15:17:51 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/server.cpp:

          Make sure the multistart test first clears the status before the
          test case, and also that the server appends to the status file
          so multiple starts can actually be counted.

Tue May 14 14:53:28 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Added a test scenario where multiple concurrent start requests
          are issued for the same server.  This test insures that only a
          single instance is actually started.

Mon May 13 21:38:06 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncListManager.cpp:

          Fix a deadlock condition where the lister is waiting for more
          pings than it will receive because 1 or more target servers was
          unpingable.

Mon May 13 19:12:59 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/AsyncListManager.h:
        * orbsvcs/ImplRepo_Service/AsyncListManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/Iterator.h:
        * orbsvcs/ImplRepo_Service/Iterator.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:

        * orbsvcs/tests/ImplRepo/servers_list/Test.idl:
        * orbsvcs/tests/ImplRepo/servers_list/run_test.pl:

        * tao/Intrusive_Ref_Count_Handle_T.h:
        * tao/Intrusive_Ref_Count_Handle_T.inl:

        Merge from branch OCI_Asynch_IMR:
        Mon May 13 15:00:19 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncListManager.h:
        * orbsvcs/ImplRepo_Service/AsyncListManager.cpp:

          Clean up runtime failures.

        * orbsvcs/tests/ImplRepo/servers_list/Test.idl:

          Make the abort() operation a oneway so that commfails are avoided
          in the client.

        Sun May 12 16:45:48 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/AsyncListManager.h:
        * orbsvcs/ImplRepo_Service/AsyncListManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/Iterator.h:
        * orbsvcs/ImplRepo_Service/Iterator.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Asynchronous List operation implementation. Since the list operation
          may trigger pings, it needed to be event driven similar to the access
          and start up of registered servers.

        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:
        * orbsvcs/tests/ImplRepo/servers_list/run_test.pl:

          Improve debugging and shutdown performance.

        Wed May  8 22:13:12 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Intrusive_Ref_Count_Handle_T.h:
        * tao/Intrusive_Ref_Count_Handle_T.inl:

          Added an equivalence operator that returns true if the two handles
          point to the same underlying object. This allows the handle type to
          be used in generic containers.



Mon May 13 14:15:13 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/DMD_App_Ctrl.mpc:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/DMD_Inf_Ctrl.mpc:

          Renamed mpc file to prevent hitting the maximum filename length on windows.

        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/DeadMemberDetection_App_Ctrl.mpc:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/DeadMemberDetection_Inf_Ctrl.mpc:

          Removed these files.

Mon May 13 07:14:00 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Make 2.1.9 public and prepare for the next minor release

Mon May 13 08:52:11 CEST 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.1.9 released.

Fri May 10 09:21:17 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IORTable_Locator/async_server.cpp:
          Fixed LynxOS compile warning

Thu May  9 19:52:26 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Improvements to test performance on windows, aix.

Wed May  8 14:56:24 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

          Fix typos from hasty commit.

Wed May  8 14:42:55 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

          Fix for the case when the ORB is shutting down and a POA needs to
          inform the IMR.

Thu May  2 09:00:38 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

          Clean up issues related to restarting the locator with persisted
          info.

Wed May  1 21:06:50 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

          Repopulate the pinger with all known servers on a restart with
          a persistent store. This helps the list -a command return
          accurate results. Also list -a considers all final states that
          are not LS_DEAD to be be equivalent to alive.

        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Ensure that when a server is in a final state of LS_LAST_TRANSIENT
          a new listener will be notified of that state.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/README:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Add new test variants for listing and locator restarts.

Wed May  1 14:16:54 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Clear the result returned by the tao_imr when it is expected to
          return a non-zero value.

Wed May  1 13:32:09 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:

          The test does not require persistence, removing it allows the test
          to work as intended on MacOS.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/README:

          Document the new test variations.

Tue Apr 30 20:31:14 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Fix the new hidden server test so it is portable and added to the
          nightly builds.

Tue Apr 30 17:13:13 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3384_Regression/Server_i.cpp:
          Fixed OpenVMS compile error

Tue Apr 30 16:29:22 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Added a new -hide_server variant to test failure notification from
          the activator.

Tue Apr 30 15:18:30 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

          Add handling of child death notification during the server
          start up process. This is necessary on unix style platforms
          where the activator will "succeed" with a fork and later
          fail the exec. This puts the locator in a state of expecting
          a server_is_running that will never come. For this to work,
          the Activator must be run with the -l option to notify the
          locator of child death.

Mon Apr 29 16:35:35 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

          Clean up and add more debugging output. Fix the scenario where a
          registered server takes longer than 16.610 seconds to get from
          creating a POA to activating that POA.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/client.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/server.cpp:

          Add a test variant for using the IMR command line utility to
          start a delayed server to validate that use case.

Sun Apr 28 14:37:50 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Fix for some 64-bit windows builds

Fri Apr 26 16:35:54 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Reworked the ping timinging to avoid potential deadlocks
          and add more permanent debugging.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Enhance the debug log management.

Thu Apr 25 21:04:51 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          add -debuglog variant to have each process write output to a separate
          log file with timestamps.

Thu Apr 25 18:42:02 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        * tao/IORTable/Async_Table_Adapter.cpp:
        * tao/IORTable/Locate_ResponseHandler.cpp:

          Scoreboard cleanup.

Wed Apr 24 14:45:54 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/tao_imr_i.h:

          Include the correct version of ImplRepoC.h for the tao_imr tool.

Wed Apr 24 08:21:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.cpp:

          Thread unsafe singleton TAO::Unknown_IDL_Type::lock_i ()
          initialization, used with any demarshaling, moved into dynamic
          library loading initalization. This now happens prior to main
          which is single threaded. Priviously, and only very rarely, multiple
          threads attempt to demarshal the "first" Unknown_IDL_Type
          and they all race to initialise the lock resulting in non-multual
          exculsion and multiple partial locks being created, followed by
          pure virtual functions being called and finaly aborts.
          Failure occured appoximatly once every 300000 startups making this
          impossialble to test and hard to detect.

Tue Apr 23 17:13:04 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_ResponseHandler.h:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:

          Scoreboard cleanup for QNX and corba_e builds.

Tue Apr 23 16:12:25 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/RestartServer/MessengerServer.cpp:
        * orbsvcs/tests/ImplRepo/scale_clients/server.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/server.cpp:

          More static-linked fixes.

Tue Apr 23 15:41:07 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/server.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/servers_interact_on_startup.mpc:

          Support for static-linked builds

Tue Apr 23 14:45:23 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IORTable/Async_IORTable.mpc:
        * tao/IORTable/IORTable.mpc:

          Be explicit with the resource and package file assignments.

Mon Apr 22 19:56:55 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IORTable/Async_IORTable.h:
        * tao/IORTable/Async_IORTable.cpp:
        * tao/IORTable/Async_IORTable.mpc:
        * tao/IORTable/Async_IORTable.pidl:
        * tao/IORTable/Async_IOR_Table_Impl.h:
        * tao/IORTable/Async_IOR_Table_Impl.cpp:
        * tao/IORTable/Async_Table_Adapter.h:
        * tao/IORTable/Async_Table_Adapter.cpp:
        * tao/IORTable/IORTable.mpc:
        * tao/IORTable/Locate_ResponseHandler.h:
        * tao/IORTable/Locate_ResponseHandler.inl:
        * tao/IORTable/Locate_ResponseHandler.cpp:
        * tao/IORTable/TAO_Async_IORTable.pc.in:
        * tao/IORTable/TAO_Async_IORTable.rc:

          Move the Async_IORTable sources back into the IORTable directory
          even though it still builds as a separate library. This eases a
          maintenance burden with some dependant projects that build the
          ImR service.

        * tests/IORTable_Locator/async_server.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.h:

          These explicitly reference Async_IORTable headers.


        * tao/Async_IORTable:
        * tao/Async_IORTable/Async_IORTable.h:
        * tao/Async_IORTable/Async_IORTable.cpp:
        * tao/Async_IORTable/Async_IORTable.mpc:
        * tao/Async_IORTable/Async_IORTable.pidl:
        * tao/Async_IORTable/Async_IOR_Table_Impl.h:
        * tao/Async_IORTable/Async_IOR_Table_Impl.cpp:
        * tao/Async_IORTable/Async_Table_Adapter.h:
        * tao/Async_IORTable/Async_Table_Adapter.cpp:
        * tao/Async_IORTable/Locate_ResponseHandler.h:
        * tao/Async_IORTable/Locate_ResponseHandler.inl:
        * tao/Async_IORTable/Locate_ResponseHandler.cpp:
        * tao/Async_IORTable/TAO_Async_IORTable.pc.in:
        * tao/Async_IORTable/TAO_Async_IORTable.rc:

          Removed these files.

Mon Apr 22 19:13:01 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

          Fix a memory leak related to liveness callback handlers.

Mon Apr 22 17:53:36 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:

          The ImR locator binary can't link to the ImR_Client library
          since it should be using the async stubs instead.

Mon Apr 22 15:05:31 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/ORB_Core.cpp:

          Fix an uninitialized pointer

Mon Apr 22 14:54:18 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * tao/ImR_Client/ImplRepo.idl:
        * tao/ImR_Client/ServerObject.idl:

          Fixed fuzz errors.

Fri Apr 19 19:17:11 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:

          Fixed fuzz error in use of the new ACE log category macros.

Fri Apr 19 16:08:52 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:
        * tao/Async_IORTable/Async_Table_Adapter.cpp:

          Clean up covarity related issues.

        * tao/Async_IORTable/Async_IOR_Table_Impl.cpp:

          fix to ensure that if the Async IORTable is intialized with a
          non-async capable locator, it still works.

        * bin/tao_orb_tests.lst:

        * tests/IORTable_Locator/Test.mpc:
        * tests/IORTable_Locator/async_server.cpp:
        * tests/IORTable_Locator/run_test.pl:

          Added a new test variant to run the async IORTable locator as well
          as the sync version.

Fri Apr 19 03:28:07 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/async_imr_client_export.h:

          New async stubs lib can't have a dependency on imr_client.
          Fixed generation of stubs and skeletons with correct export macro.

        * tao/ImR_Client/ImR_Client.mpc:

          Make sure not to run tao_idl in the non-idl project.

Thu Apr 18 22:32:11 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/imr_client.mpb:

          Revert addition of messaging dependency.

        * orbsvcs/ImplRepo_Service/ImR_Activator.idl:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/Iterator.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/Server_Info.h:
        * orbsvcs/ImplRepo_Service/tao_imr_i.h:
        * orbsvcs/ImplRepo_Service/utils.h:

          In order to shield client applications from the AMI/AMH imposed
          dependencies, the project now makes a local compilation of the
          ImR_Client based stubs and skeletons with the async modifiers.

        * tao/ImR_Client/ImR_Client.mpc:
        * tao/ImR_Client/ImplRepo.idl:
        * tao/ImR_Client/ServerObject.idl:

          As a companion to the above change, this restores the more narrow
          dependency so that clients of the ImR do not need to load the messaging
          library.

        * tao/ImR_Client/ImplRepo.pidl:
        * tao/ImR_Client/ServerObject.pidl:

          Removed these files. It was necessary to rename from .pidl to .idl so
          the stub/skeleton includes would be generated correctly. There is nothing
          pseudo about these idls anyway so no need to use .pidl.

Thu Apr 18 19:37:19 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * utils/logWalker/HostProcess.cpp:

          Fixed compiler warnings.

Thu Apr 18 13:18:10 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

          Scoreboard cleanup.

Thu Apr 18 07:26:52 UTC 2013  Martin Corino  <mcorino@remedy.nl>

        * bin/tao_orb_tests.lst:
        * tests/IORTable_Locator/Test.mpc:
        * tests/IORTable_Locator/client.cpp:
        * tests/IORTable_Locator/run_test.pl:
        * tests/IORTable_Locator/server.cpp:
        * tests/IORTable_Locator/simple_test.idl:
        * tests/IORTable_Locator/simple_test_i.h:
        * tests/IORTable_Locator/simple_test_i.cpp:
          Added simple test to test corbaloc resolving through
          IORTable::Locator (*not* collocated like in
          Bug_3790_Regression test).

Wed Apr 17 19:00:17 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_other_tests.lst:

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

          Servers may be started externally to the ImR but register with
          it so that clients may still be forwarded to it. Traditionally,
          such servers are not pinged by the ImR in the spirit that since
          its own means were used to activate the service, the ImR should
          let the client deal with the server no matter the consequences.
          However, the ImR is in a position to give more information to the
          client or lists of active servers, so enabling the ping_external_
          option will override the assumption of liveness and actively ping,
          based on the existing rules, all registered servers.

        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:

          Added a new test variant to run the new feature.

Wed Apr 17 14:19:35 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        * tao/ORB.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.inl:
        * tao/ORB_Core.cpp:
        * tao/objectid.h:

          Make explicit the distinction between the traditional IORTable and the
          Asynchronous version used with the ImplRepo service.

Wed Apr 17 12:54:37 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/orbsvcs/Log_Macros.h:

          Added empty comments for fuzz script.

Wed Apr 17 07:06:17 UTC 2013  Martin Corino  <mcorino@remedy.nl>

        * tao/Transport.h:
        * tao/Transport.cpp:
          Change return type of method. Fixes VC8 warnings.

Tue Apr 16 19:46:38 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

          Fix for the regression failure with the ReconnectServer test.

Tue Apr 16 14:51:42 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Messaging/AMH_Response_Handler.cpp:

          Fix to the previous fix. I was too cavalier in copying the CORBA
          subset macro tests from the ForwardRequest.pidl file.

Tue Apr 16 14:25:30 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IORTable/IOR_Table_Impl.h:

          Add the export macro on the class definition as well as the
          forward declaration.

        * tao/Messaging/AMH_Response_Handler.cpp:

          Ensure the library can be built even on CORBA subset builds.

Mon Apr 15 19:49:48 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Fix the timing on the test so the condition being tested is actually
          allowed to occur. The total ping retry schedule is about 15 seconds,
          so a 20 second timeout means the threshold is exceeded. When the
          full ping retry schedule is exhausted, the IMR gives up and returns
          the IOR, letting the client deal with the server directly. In this
          case, doing so meant the client got a transient exception and thus
          failed.

Tue Apr 16 03:10:56 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/async_iortable.mpb:

        * tao/Async_IORTable/Async_IORTable.cpp:
        * tao/Async_IORTable/Async_Table_Adapter.cpp:

        * tao/IORTable/IOR_Table_Impl.h:

          clean up some scoreboard issues for visibility builds.

Mon Apr 15 17:03:16 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Async_IORTable/Async_IORTable.mpc:

          Fixed the project name for uniqueness.

Mon Apr 15 16:48:16 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/async_iortable.mpb:
        * MPC/config/imr_client.mpb:
        * MPC/config/iortable.mpb:

        * orbsvcs/ImplRepo_Service/INS_Locator.h:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:

        * tao/Async_IORTable:

        * tao/Async_IORTable/Async_IORTable.h:
        * tao/Async_IORTable/Async_IORTable.cpp:
        * tao/Async_IORTable/Async_IORTable.mpc:
        * tao/Async_IORTable/Async_IORTable.pidl:
        * tao/Async_IORTable/Async_IOR_Table_Impl.h:
        * tao/Async_IORTable/Async_IOR_Table_Impl.cpp:
        * tao/Async_IORTable/Async_Table_Adapter.h:
        * tao/Async_IORTable/Async_Table_Adapter.cpp:
        * tao/Async_IORTable/Locate_ResponseHandler.h:
        * tao/Async_IORTable/Locate_ResponseHandler.inl:
        * tao/Async_IORTable/Locate_ResponseHandler.cpp:
        * tao/Async_IORTable/TAO_Async_IORTable.pc.in:
        * tao/Async_IORTable/TAO_Async_IORTable.rc:

        * tao/IORTable/IORTable.h:
        * tao/IORTable/IORTable.mpc:
        * tao/IORTable/IORTable.pidl:
        * tao/IORTable/IOR_Table_Impl.h:
        * tao/IORTable/IOR_Table_Impl.cpp:
        * tao/IORTable/Table_Adapter.h:
        * tao/IORTable/Table_Adapter.cpp:

        * tao/ORB_Core.cpp:

        * tao/IORTable/Locate_ResponseHandler.h:
        * tao/IORTable/Locate_ResponseHandler.inl:
        * tao/IORTable/Locate_ResponseHandler.cpp:

          Refactored the IORTable to restore the minimal dependency of
          the base library so that small footprint builds can continue
          using the IORTable as needed. The new features added to support
          asynchronous use of the IMR are now in a new library. While the
          new Async_IORTable is registered as a distinct object in the
          service object registry, the ORB Core will load it if present
          when an application uses resolve_initial_references ("IORTable").
          Right now the only use case for the async ior table is with the
          IMR, which has its own implementation of the locator objeect.

Mon Apr 15 14:26:39 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * MPC/config/ftclientorb.mpb:
        * MPC/config/ftserverorb.mpb:
        * MPC/config/notify_monitor_control.mpb:
        * MPC/config/portablegroup.mpb:
        * orbsvcs/IFR_Service/IFR_Service.mpc:
        * orbsvcs/tests/FT_App/FT_App.mpc:

          Added svc_utils for static link.

Mon Apr 15 14:12:56 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * MPC/config/naming.mpb:
        * orbsvcs/orbsvcs/SSLIOP.mpc:

          Added svc_utils base project.

Fri Apr 12 22:41:43 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/orbsvcs/Svc_Utils.mpc:
        * orbsvcs/orbsvcs/Log_Macros.h:
        * orbsvcs/orbsvcs/Log_Macros.cpp:

          Added a distinct ACE Log Category for orbsvcs.

        * orbsvcs/Concurrency_Service/Concurrency_Service.cpp:
        * orbsvcs/Dump_Schedule/Dump_Schedule.cpp:
        * orbsvcs/Event_Service/Event_Service.cpp:
        * orbsvcs/FTRT_Event_Service/Event_Service/FT_EventService.cpp:
        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.cpp:
        * orbsvcs/FTRT_Event_Service/Factory_Service/FTRTEC_Factory_Service.cpp:
        * orbsvcs/FTRT_Event_Service/Factory_Service/FTRTEC_Factory_Service.mpc:
        * orbsvcs/FTRT_Event_Service/Gateway_Service/FTRTEC_Gateway_Service.cpp:
        * orbsvcs/FT_Naming_Service/FT_Naming_Main.cpp:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.mpc:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.cpp:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp:
        * orbsvcs/Fault_Detector/Fault_Detector.mpc:
        * orbsvcs/Fault_Detector/Fault_Detector_i.cpp:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp:
        * orbsvcs/IFR_Service/IFR_Server.cpp:
        * orbsvcs/IFR_Service/IFR_Service.mpc:
        * orbsvcs/IFR_Service/be_global.cpp:
        * orbsvcs/IFR_Service/be_init.cpp:
        * orbsvcs/IFR_Service/be_produce.cpp:
        * orbsvcs/IFR_Service/be_util.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_operation.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_union.cpp:
        * orbsvcs/IFR_Service/ifr_removing_visitor.cpp:
        * orbsvcs/ImplRepo_Service/Activator_Loader.cpp:
        * orbsvcs/ImplRepo_Service/Activator_Options.cpp:
        * orbsvcs/ImplRepo_Service/Adapter_Activator.cpp:
        * orbsvcs/ImplRepo_Service/Config_Backing_Store.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/Locator_Loader.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
        * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
        * orbsvcs/LifeCycle_Service/Factory_Trader.cpp:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.cpp:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service_i.cpp:
        * orbsvcs/LoadBalancer/LoadBalancer.mpc:
        * orbsvcs/LoadBalancer/LoadManager.cpp:
        * orbsvcs/LoadBalancer/LoadMonitor.cpp:
        * orbsvcs/LoadBalancer/Monitor_Signal_Handler.cpp:
        * orbsvcs/LoadBalancer/Push_Handler.cpp:
        * orbsvcs/LoadBalancer/Signal_Handler.cpp:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Server.cpp:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Server.cpp:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Server.cpp:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Server.cpp:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Server.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Service.cpp:
        * orbsvcs/Naming_Service/Naming_Server.cpp:
        * orbsvcs/Notify_Service/NT_Notify_Server.cpp:
        * orbsvcs/Notify_Service/Notify_Server.cpp:
        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/Scheduling_Service/Scheduling_Service.cpp:
        * orbsvcs/TAO_Service/TAO_Service.cpp:
        * orbsvcs/TAO_Service/TAO_Service.mpc:
        * orbsvcs/Time_Service/Clerk_i.cpp:
        * orbsvcs/Time_Service/Server_i.cpp:
        * orbsvcs/Time_Service/Time_Service_Clerk.cpp:
        * orbsvcs/Time_Service/Time_Service_Server.cpp:
        * orbsvcs/Trading_Service/Trading_Server.cpp:
        * orbsvcs/Trading_Service/Trading_Service.cpp:
        * orbsvcs/orbsvcs/AV.mpc:
        * orbsvcs/orbsvcs/AV/AVStreams_i.inl:
        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:
        * orbsvcs/orbsvcs/AV/AV_Core.cpp:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy.cpp:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp:
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.inl:
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.cpp:
        * orbsvcs/orbsvcs/AV/Flows_T.cpp:
        * orbsvcs/orbsvcs/AV/MCast.cpp:
        * orbsvcs/orbsvcs/AV/Policy.cpp:
        * orbsvcs/orbsvcs/AV/Protocol_Factory.cpp:
        * orbsvcs/orbsvcs/AV/QoS_UDP.cpp:
        * orbsvcs/orbsvcs/AV/RTCP.cpp:
        * orbsvcs/orbsvcs/AV/RTCP_Channel.cpp:
        * orbsvcs/orbsvcs/AV/RTCP_Packet.cpp:
        * orbsvcs/orbsvcs/AV/RTP.cpp:
        * orbsvcs/orbsvcs/AV/SCTP_SEQ.cpp:
        * orbsvcs/orbsvcs/AV/TCP.cpp:
        * orbsvcs/orbsvcs/AV/Transport.cpp:
        * orbsvcs/orbsvcs/AV/UDP.cpp:
        * orbsvcs/orbsvcs/AV/default_resource.cpp:
        * orbsvcs/orbsvcs/AV/sfp.cpp:
        * orbsvcs/orbsvcs/Concurrency/CC_Lock.cpp:
        * orbsvcs/orbsvcs/Concurrency/CC_LockSet.cpp:
        * orbsvcs/orbsvcs/Concurrency/Concurrency_Utils.cpp:
        * orbsvcs/orbsvcs/CosConcurrency.mpc:
        * orbsvcs/orbsvcs/CosEvent/CEC_Default_Factory.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Dispatching_Task.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_DynamicImplementation.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_MT_Dispatching.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEventChannel.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/CosLoadBalancing.mpc:
        * orbsvcs/orbsvcs/CosNaming.mpc:
        * orbsvcs/orbsvcs/CosNotification.mpc:
        * orbsvcs/orbsvcs/CosProperty.mpc:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.cpp:
        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Sender.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Reactive_ConsumerEC_Control.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Reconnect_ConsumerEC_Control.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Mcast_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_EH.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.inl:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_Dispatching_Task.cpp:
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP.cpp:
        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_MT_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Per_Supplier_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Priority_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Priority_Scheduling.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_Sched_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxySupplier.inl:
        * orbsvcs/orbsvcs/Event/EC_TPC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_Thread_Flags.cpp:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Timeout_Generator.cpp:
        * orbsvcs/orbsvcs/Event_Utilities.cpp:
        * orbsvcs/orbsvcs/FTORB.mpc:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Invocation_Endpoint_Selectors.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerRequest_Interceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent.mpc:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Interceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ConnectionHandler_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Group_Manager.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FtEventServiceInterceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/GroupInfoPublisher.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/IOGR_Maker.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/UpdateableHandler.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.inl:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/resolve_init.h:
        * orbsvcs/orbsvcs/HTIOP.mpc:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Completion_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Endpoint.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Profile.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils.cpp:
        * orbsvcs/orbsvcs/IFRService/IRObject_i.cpp:
        * orbsvcs/orbsvcs/IFRService/OperationDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/Options.cpp:
        * orbsvcs/orbsvcs/IFRService/Repository_i.cpp:
        * orbsvcs/orbsvcs/IOR_Multicast.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Utilization_Monitor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAlert_Handler.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_MemberLocator.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Pull_Handler.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Random.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_ServerRequestInterceptor.cpp:
        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:
        * orbsvcs/orbsvcs/Log/Log_i.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Client.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Loader.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Service_Container.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Notify/Admin.cpp:
        * orbsvcs/orbsvcs/Notify/AllocTracker.h:
        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.cpp:
        * orbsvcs/orbsvcs/Notify/Consumer.cpp:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/Delivery_Request.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/orbsvcs/Notify/Event.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:
        * orbsvcs/orbsvcs/Notify/EventType.cpp:
        * orbsvcs/orbsvcs/Notify/EventTypeSeq.cpp:
        * orbsvcs/orbsvcs/Notify/Event_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControl/MonitorManager.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControl/NotificationServiceMonitor_i.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControlExt/MC_Notify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControlExt/MonitorConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControlExt/MonitorEventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControlExt/MonitorProxySupplier_T.cpp:
        * orbsvcs/orbsvcs/Notify/MonitorControlExt/MonitorSupplierAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.cpp:
        * orbsvcs/orbsvcs/Notify/Object.cpp:
        * orbsvcs/orbsvcs/Notify/POA_Helper.cpp:
        * orbsvcs/orbsvcs/Notify/Persistent_File_Allocator.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.cpp:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/RT_Notify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/RT_POA_Helper.cpp:
        * orbsvcs/orbsvcs/Notify/Random_File.cpp:
        * orbsvcs/orbsvcs/Notify/Reconnection_Registry.cpp:
        * orbsvcs/orbsvcs/Notify/Refcountable.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Persistence_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Standard_Event_Persistence.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredEvent.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/SupplierAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Validate_Client_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Validate_Worker_T.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Loader.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Saver.cpp:
        * orbsvcs/orbsvcs/Notify/XML_Topology_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup.mpc:
        * orbsvcs/orbsvcs/PortableGroup/Fragments_Cleanup_Strategy.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Acceptor_Registry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport_Recv_Packet.cpp:
        * orbsvcs/orbsvcs/PortableGroup/miop_resource.cpp:
        * orbsvcs/orbsvcs/Property/CosPropertyService_i.cpp:
        * orbsvcs/orbsvcs/Runtime_Scheduler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_CredentialsAcquirer.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Invocation_Interceptor.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.cpp:
        * orbsvcs/orbsvcs/Sched/Config_Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/DynSched.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils_T.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.cpp:
        * orbsvcs/orbsvcs/Sched/SchedEntry.cpp:
        * orbsvcs/orbsvcs/Sched/Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/Strategy_Scheduler.cpp:
        * orbsvcs/orbsvcs/Scheduler_Factory.cpp:
        * orbsvcs/orbsvcs/Security.mpc:
        * orbsvcs/orbsvcs/Security/SL2_SecurityManager.cpp:
        * orbsvcs/orbsvcs/Security/Security_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/Shutdown_Utilities.cpp:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Clerk.cpp:
        * orbsvcs/orbsvcs/Time/TAO_Time_Service_Server.cpp:
        * orbsvcs/orbsvcs/Time/Timer_Helper.cpp:
        * orbsvcs/orbsvcs/Trader/Trading_Loader.cpp:

          Use new logging macros for orbsvcs.

Fri Apr 12 20:58:38 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/iortable.mpb:

          Add new base projects to satisfy static builds.

Fri Apr 12 18:16:42 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:

          Added required base projects for valuetype and messaging.

Fri Apr 12 17:58:35 UTC 2013  Huang-Ming Huang  <huangh@ociweb.com>

        * tao/LF_Strategy_Complete.cpp:
        * tao/TAO_Singleton.cpp:

        Fix undeclared TAOLIB_DEBUG problem.

Fri Apr 12 17:27:29 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Adapter_Activator.h:
        * orbsvcs/ImplRepo_Service/Forwarder.h:

          Fix for versioned namespace builds.

        * utils/logWalker/Invocation.cpp:

          clean up some scoreboard warnings.

Fri Apr 12 12:11:11 UTC 2013  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3384_Regression/Client_i.h:
        * tests/Bug_3384_Regression/Client_i.cpp:
        * tests/Bug_3384_Regression/Server_i.h:
        * tests/Bug_3384_Regression/Server_i.cpp:
          More fixes for fuzzy fuzzer.

Fri Apr 12 09:47:06 UTC 2013  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3384_Regression/Client_i.h:
        * tests/Bug_3384_Regression/Client_i.cpp:
        * tests/Bug_3384_Regression/README.txt:
        * tests/Bug_3384_Regression/Server_i.h:
        * tests/Bug_3384_Regression/Server_i.cpp:
          Fuzz fixes.

Thu Apr 11 19:52:53 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:

          Documented new ImR.

Thu Apr 11 19:47:49 UTC 2013  Huang-Ming Huang  <huangh@ociweb.com>

        * tao/debug.h:
        Fixed TAOLIB_ERROR_RETURN()  control reaches end of non-void function warning.

Thu Apr 11 18:03:24 UTC 2013  Huang-Ming Huang  <huangh@ociweb.com>

        * tao/Acceptor_Impl.cpp:
        * tao/Acceptor_Registry.cpp:

        * tao/AnyTypeCode/Any_Unknown_IDL_Type.cpp:
        * tao/AnyTypeCode/NVList.cpp:
        * tao/AnyTypeCode/append.cpp:
        * tao/AnyTypeCode/skip.cpp:

        * tao/Any_Insert_Policy_T.h:
        * tao/Asynch_Queued_Message.cpp:

        * tao/BiDir_GIOP/BiDir_ORBInitializer.cpp:

        * tao/CORBALOC_Parser.cpp:
        * tao/CORBANAME_Parser.cpp:

        * tao/CSD_Framework/CSD_Default_Servant_Dispatcher.cpp:
        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:
        * tao/CSD_Framework/CSD_ORBInitializer.cpp:
        * tao/CSD_Framework/CSD_Strategy_Base.inl:
        * tao/CSD_Framework/CSD_Strategy_Base.cpp:
        * tao/CSD_Framework/CSD_Strategy_Proxy.cpp:
        * tao/CSD_Framework/CSD_Strategy_Repository.cpp:

        * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Task.cpp:

        * tao/Cache_Entries_T.cpp:

        * tao/Codeset/Codeset_Descriptor.cpp:
        * tao/Codeset/Codeset_Manager_i.cpp:
        * tao/Codeset/Codeset_Translator_Factory_T.cpp:
        * tao/Codeset/UTF16_BOM_Factory.cpp:
        * tao/Codeset/UTF16_BOM_Translator.cpp:
        * tao/Codeset/UTF8_Latin1_Factory.cpp:

        * tao/Compression/zlib/ZlibCompressor_Factory.cpp:

        * tao/Condition.cpp:
        * tao/Connection_Handler.cpp:
        * tao/Connector_Registry.cpp:

        * tao/DiffServPolicy/DiffServPolicy_ORBInitializer.cpp:

        * tao/DynamicAny/DynValue_i.cpp:

        * tao/DynamicInterface/DII_Invocation.cpp:
        * tao/DynamicInterface/DII_Reply_Dispatcher.cpp:
        * tao/DynamicInterface/DII_Reply_Handler.cpp:
        * tao/DynamicInterface/Request.cpp:

        * tao/Dynamic_TP/DTP_Config.cpp:
        * tao/Dynamic_TP/DTP_ORBInitializer.cpp:
        * tao/Dynamic_TP/DTP_ORB_Loader.cpp:
        * tao/Dynamic_TP/DTP_POA_Loader.cpp:
        * tao/Dynamic_TP/DTP_POA_Strategy.cpp:
        * tao/Dynamic_TP/DTP_Task.cpp:
        * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

        * tao/EndpointPolicy/Endpoint_Acceptor_Filter.cpp:

        * tao/Environment.cpp:
        * tao/Exception.cpp:
        * tao/Exclusive_TMS.cpp:

        * tao/FlResource/FlResource_Factory.cpp:

        * tao/FoxResource/FoxResource_Factory.cpp:

        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Generator_Parser.cpp:
        * tao/GIOP_Message_Generator_Parser_10.cpp:
        * tao/GIOP_Message_Generator_Parser_12.cpp:
        * tao/GIOP_Message_State.cpp:
        * tao/HTTP_Client.cpp:
        * tao/HTTP_Handler.cpp:
        * tao/HTTP_Parser.cpp:
        * tao/IIOP_Acceptor.cpp:
        * tao/IIOP_Connection_Handler.cpp:
        * tao/IIOP_Connector.cpp:
        * tao/IIOP_Endpoint.cpp:
        * tao/IIOP_Profile.cpp:
        * tao/IIOP_Transport.cpp:

        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp:

        * tao/ImR_Client/ImR_Client.cpp:

        * tao/Invocation_Adapter.cpp:
        * tao/LF_CH_Event.cpp:
        * tao/LF_Strategy_Complete.cpp:
        * tao/Leader_Follower.cpp:
        * tao/Load_Protocol_Factory_T.h:
        * tao/LocalObject.cpp:
        * tao/MCAST_Parser.cpp:
        * tao/MProfile.cpp:

        * tao/Messaging/AMH_Response_Handler.cpp:
        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
        * tao/Messaging/Asynch_Timeout_Handler.cpp:
        * tao/Messaging/Connection_Timeout_Policy_i.cpp:
        * tao/Messaging/Messaging_ORBInitializer.cpp:
        * tao/Messaging/Messaging_Policy_i.cpp:
        * tao/Messaging/Messaging_Queueing_Strategies.cpp:

        * tao/Muxed_TMS.cpp:
        * tao/ORB.cpp:
        * tao/ORBInitializer_Registry.cpp:
        * tao/ORB_Core.cpp:
        * tao/Object.cpp:
        * tao/Object_Ref_Table.cpp:
        * tao/On_Demand_Fragmentation_Strategy.cpp:

        * tao/PI/ClientRequestInfo.cpp:
        * tao/PI/DLL_Resident_ORB_Initializer.cpp:
        * tao/PI/Interceptor_List_T.cpp:
        * tao/PI/ORBInitializer_Registry_Impl.cpp:
        * tao/PI/PICurrent_Impl.cpp:

        * tao/Parser_Registry.cpp:
        * tao/Policy_Validator.cpp:

        * tao/PortableServer/Active_Object_Map.cpp:
        * tao/PortableServer/IdAssignmentStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyFactoryImpl.cpp:
        * tao/PortableServer/IdUniquenessStrategyUniqueFactoryImpl.cpp:
        * tao/PortableServer/ImplicitActivationStrategyFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyPersistent.cpp:
        * tao/PortableServer/LifespanStrategyPersistentFactoryImpl.cpp:
        * tao/PortableServer/LifespanStrategyTransientFactoryImpl.cpp:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/Operation_Table_Binary_Search.cpp:
        * tao/PortableServer/Operation_Table_Dynamic_Hash.cpp:
        * tao/PortableServer/Operation_Table_Linear_Search.cpp:
        * tao/PortableServer/Operation_Table_Perfect_Hash.cpp:
        * tao/PortableServer/POA_Policy_Set.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnlyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyFactoryImpl.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.cpp:
        * tao/PortableServer/ServantRetentionStrategyFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetainFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategyFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategySingleFactoryImpl.cpp:

        * tao/Profile.cpp:

        * tao/QtResource/QtResource_Factory.cpp:

        * tao/Queued_Data.cpp:

        * tao/RTCORBA/Linear_Network_Priority_Mapping.cpp:
        * tao/RTCORBA/Linear_Priority_Mapping.cpp:
        * tao/RTCORBA/Multi_Priority_Mapping.cpp:
        * tao/RTCORBA/RT_Current.cpp:
        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:
        * tao/RTCORBA/RT_ORBInitializer.cpp:
        * tao/RTCORBA/RT_ORB_Loader.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:
        * tao/RTCORBA/RT_Service_Context_Handler.cpp:
        * tao/RTCORBA/Thread_Pool.cpp:

        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp:

        * tao/RTScheduling/Current.cpp:
        * tao/RTScheduling/RTScheduler_Initializer.cpp:
        * tao/RTScheduling/RTScheduler_Loader.cpp:
        * tao/RTScheduling/Request_Interceptor.cpp:

        * tao/Reactive_Connect_Strategy.cpp:
        * tao/Remote_Invocation.cpp:
        * tao/Resume_Handle.cpp:
        * tao/Storable_File_Guard.cpp:
        * tao/Storable_FlatFileStream.cpp:

        * tao/Strategies/COIOP_Acceptor.cpp:
        * tao/Strategies/COIOP_Connection_Handler.cpp:
        * tao/Strategies/COIOP_Profile.cpp:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/Optimized_Connection_Endpoint_Selector.cpp:
        * tao/Strategies/SCIOP_Acceptor.cpp:
        * tao/Strategies/SCIOP_Connection_Handler.cpp:
        * tao/Strategies/SCIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Strategies/SCIOP_Profile.cpp:
        * tao/Strategies/SCIOP_Transport.cpp:
        * tao/Strategies/SHMIOP_Acceptor.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Connector.cpp:
        * tao/Strategies/SHMIOP_Endpoint.cpp:
        * tao/Strategies/SHMIOP_Profile.cpp:
        * tao/Strategies/SHMIOP_Transport.cpp:
        * tao/Strategies/Strategies_ORBInitializer.cpp:
        * tao/Strategies/UIOP_Acceptor.cpp:
        * tao/Strategies/UIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Connector.cpp:
        * tao/Strategies/UIOP_Profile.cpp:
        * tao/Strategies/UIOP_Transport.cpp:
        * tao/Strategies/advanced_resource.cpp:

        * tao/Stub.inl:
        * tao/Stub.cpp:
        * tao/Synch_Invocation.cpp:
        * tao/Synch_Reply_Dispatcher.cpp:
        * tao/SystemException.cpp:
        * tao/TAO_Internal.cpp:
        * tao/TAO_Server_Request.cpp:
        * tao/TAO_Singleton.cpp:
        * tao/Tagged_Profile.cpp:
        * tao/Time_Policy_Manager.cpp:

        * tao/TkResource/TkResource_Factory.cpp:

        * tao/Transport.cpp:

        * tao/TransportCurrent/Current_ORBInitializer_Base.cpp:

        * tao/Transport_Acceptor.cpp:
        * tao/Transport_Cache_Manager_T.inl:
        * tao/Transport_Cache_Manager_T.cpp:
        * tao/Transport_Connector.cpp:

        * tao/Utils/ORB_Manager.cpp:
        * tao/Utils/Server_Main.cpp:

        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/ValueBase.cpp:

        * tao/Wait_On_LF_No_Upcall.cpp:
        * tao/Wait_On_Read.cpp:
        * tao/WrongTransactionC.cpp:

        * tao/XtResource/XtResource_Factory.cpp:

        * tao/ZIOP/ZIOP.cpp:
        * tao/ZIOP/ZIOP_ORBInitializer.cpp:
        * tao/ZIOP/ZIOP_Stub.cpp:

        * tao/debug.h:
        * tao/debug.cpp:
        * tao/default_client.cpp:
        * tao/default_resource.cpp:
        * tao/default_server.cpp:
        Change ACE_DEBUG/ACE_ERROR macros in tao to TAOLIB_DEBUG/TAOLIB_ERROR.

Thu Apr 11 17:18:36 UTC 2013  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * tao/Transport.cpp (TAO_Transport::send_asynchronous_message_i):
          Applied a patch from Russ Noseworthy <J.Russell.Noseworthy at
          TENA-SDA dot org> that fixes a problem when sending a large (>
          64k) number of bytes in a (oneway) RMI on OS X.  What happened
          was that, for large payloads, the send in Transport.cpp returns
          a value of n, not equal to the number of bytes to send.  What's
          supposed to happen is that the rest of the bytes get sent with
          the next send.  Instead, if the current value of errno happens
          to be ETIME (for any reason), the send never completes, and
          instead declares that it's timed out.  This fixes bugid 4103.

Thu Apr 11 16:51:31 UTC 2013  Martin Corino  <mcorino@remedy.nl>

        Implemented an improvement (fix) for oneways with SYNC_NONE sync scope
        policy which makes the transport honour buffering constraints on the
        first oneway request queued before the connection is established.
        This fixes Bugzilla 3384.

        * tao/Profile_Transport_Resolver.cpp:
          Removed the call to TAO_Transport::set_flush_in_post_open() since this
          requirement is now checked in Transport::format_queue_message().

        * tao/Transport.h:
        * tao/Transport.inl:
          Removed public method TAO_Transport::set_flush_in_post_open() since this
          is not needed anymore.

        * tao/Transport.cpp:
          Added check on buffering constraints in TAO_Transport::format_queue_message()
          after queuing the message setting flush_in_post_open_ as needed.
          Added check in TAO_Transport::check_buffering_constraints_i() on connection
          state since this method can now be called in both a connected as well as
          unconnected state.

        * bin/tao_orb_tests.lst:
        * tests/Bug_3384_Regression/Client_i.h:
        * tests/Bug_3384_Regression/Client_i.cpp:
        * tests/Bug_3384_Regression/README.txt:
        * tests/Bug_3384_Regression/Server_i.h:
        * tests/Bug_3384_Regression/Server_i.cpp:
        * tests/Bug_3384_Regression/Test.idl:
        * tests/Bug_3384_Regression/client.cpp:
        * tests/Bug_3384_Regression/run_test.pl:
        * tests/Bug_3384_Regression/server.cpp:
        * tests/Bug_3384_Regression/test.mpc:
          Added new regression test.

Thu Apr 11 16:16:21 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        branch merge from branches/OCI_Asynch_ImR. This is a re-implementation
        of the tao_imr_locator to improve performance using asynchronous method
        handling and invocation (AMH/AMI) to allow many concurrent client requests
        to be satisfied as quickly as possible, avoiding nested upcalls and
        potentally fatal stack sizes. The only user visible change is that IMR
        clients must now include the messaging library to satsify the linker due
        to the AMI/AMH stubs and skeletons. MPC makes this happen automatically for
        projects using it for build management.

        Wed Apr 10 00:58:56 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Fix for the reconnect test. Use the fact that a dead server is
        not scheduled for a ping to throw an immediate exception.

        Tue Apr  9 15:44:55 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Cleaned up explicit debug output, added a catch for errors during
        connection establishment with the async ping. The AMI callback
        exception handler is only invoked after a successful send of the
        invocation. A connection failure is still an exception in the
        caller's context.

        * orbsvcs/tests/ImplRepo/servers_list/Terminator.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/run_test.pl:

        Reverted earlier change.

        Tue Apr  9 14:42:10 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Improve the list performance by forcing a poll if an active
        test is required.

        * orbsvcs/tests/ImplRepo/servers_list/Terminator.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/run_test.pl:

        enhance the debugging output.

        Mon Apr  8 19:02:29 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Clean up earlier debug messages, fix the list operation.

        Mon Apr  8 17:13:01 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        More work on PER_CLIENT activations.

        Mon Apr  8 03:29:47 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        Coveratge for PER_CLIENT activations.

        Sun Apr  7 13:55:15 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Fix for memory leak and scoreboard failures.

        Sat Apr  6 12:36:48 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        More cleanup of development-level debug messages.

        * tao/IORTable/Locate_ResponseHandler.cpp:

        Fix for improper memory management.

        Fri Apr  5 21:21:15 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

        * tao/IORTable/Locate_ResponseHandler.h:
        * tao/IORTable/Locate_ResponseHandler.cpp:

        * tao/Messaging/AMH_Response_Handler.h:
        * tao/Messaging/AMH_Response_Handler.cpp:

        Clean up some development-level logging. Fixed the memory problems. Continue
        testing and validating.

        Thu Apr  4 23:15:58 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.h:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.h:
        * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

        * tao/Adapter.h:

        * tao/DynamicInterface/AMH_DSI_Response_Handler.cpp:

        * tao/IORTable/IORTable.h:
        * tao/IORTable/IORTable.mpc:
        * tao/IORTable/IORTable.pidl:
        * tao/IORTable/IOR_Table_Impl.h:
        * tao/IORTable/IOR_Table_Impl.cpp:
        * tao/IORTable/Locate_ResponseHandler.h:
        * tao/IORTable/Locate_ResponseHandler.inl:
        * tao/IORTable/Locate_ResponseHandler.cpp:
        * tao/IORTable/Table_Adapter.h:
        * tao/IORTable/Table_Adapter.cpp:

        * tao/Messaging/AMH_Response_Handler.h:
        * tao/Messaging/AMH_Response_Handler.cpp:

        Adding support for an asynchronous IORTable locator. This commit
        also contains a lot of intermediate debugging artifacts. It still
        crashes. Committing for easy distribution to other test hosts.

        Wed Apr  3 14:20:28 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        Fix how exceptions are handled when using the sync reponse handler.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

        Improve the quality of output when run in debug mode.

        Tue Apr  2 23:13:50 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Clean up debugging output and improve ping retry logic.

        * utils/logWalker/HostProcess.h:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/PeerProcess.h:
        * utils/logWalker/PeerProcess.cpp:
        * utils/logWalker/Session.h:
        * utils/logWalker/Session.cpp:

        Fix up the endpoint association so multiple log files can correlate.

Tue Apr  2 13:17:44 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Forwarder.cpp:

        Nightly build cleanup.

        Tue Apr  2 01:37:35 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        More debugging added for scoreboard processing.

        Mon Apr  1 23:52:37 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        More memory management and state machine improvments

        Mon Apr  1 21:28:42 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Improve memory management.

        * utils/logWalker/Log.cpp:

        Improve handling of nested client/server connection
        completions.

        Mon Apr  1 15:51:42 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        allow collocation calls to support the AMI callbacks.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test_i.cpp:

        Fix a scoreboard build error.

        Fri Mar 29 22:52:42 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Improve the ping retry state machine, add more diagonstics.

        * utils/logWalker/Log.cpp:

        Fix a memory managment error.

        Fri Mar 29 00:23:44 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:

        Added messaging library dependency to tao_imr.

        Fri Mar 29 00:14:00 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.h:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_ResponseHandler.h:
        * orbsvcs/ImplRepo_Service/ImR_ResponseHandler.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:

        Completed the initial task of transitioning to an AMH Locator servant.
        Still need to work on the INS_Locator which uses synch calls. Also need to
        run through regression suite and debug.

        * orbsvcs/ImplRepo_Service/AsyncStartupWaiter.idl:
        * orbsvcs/ImplRepo_Service/AsyncStartupWaiter_i.h:
        * orbsvcs/ImplRepo_Service/AsyncStartupWaiter_i.cpp:

        Removed these files.

        Thu Mar 28 17:05:52 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:

        Further improvments to the implementation. At the point where the basic ImplRepo
        test passes.

        Tue Mar 26 23:58:50 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Adapter_Activator.h:
        * orbsvcs/ImplRepo_Service/Adapter_Activator.cpp:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.h:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

        completed asynch ping tracking and event delivery. Removed sync/asynch
        behavior option, it didn't work and it was temporary anyway. Stripped the
        old code that was optional.

        Tue Mar 26 16:35:26 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Forwarder.cpp:

        Clean up error in validating the forward-to IOR.

        * orbsvcs/ImplRepo_Service/ImR_Locator.cpp:

        Clean up the shutdown handler for single-thread use.

        * tao/Messaging/AMH_Response_Handler.cpp:

        Add the explicit handling of ForwardRequest exceptions.

        Tue Mar 26 15:52:50 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * bin/tao_other_tests.lst:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/README:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test.idl:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test_i.h:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test_i.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/client.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/server.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/servers_interact_on_startup.mpc:

        Added test for ImR pinging of ill-behaved, interacting servers.

        Mon Mar 25 20:52:13 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:

        Restore the export macro in the ImR_Locator impl class.

        Mon Mar 25 20:41:16 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Adapter_Activator.cpp:

        Fix policy inconsitency.

        Mon Mar 25 17:35:24 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncAccessManager.h:
        * orbsvcs/ImplRepo_Service/AsyncAccessManager.cpp:
        * orbsvcs/ImplRepo_Service/Forwarder.h:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

        Continue with implementation. Added some temporary debug output, hooked up the
        sync version of the reactive ping-wait. Started in on the next stage, which is
        making the rest of the server access Asynchronous. Changed the mode select flag
        for start up from defaulting to the traditional sync-style of calls to the new
        asynch style. The temporary command line flag is now --old, to use the old
        style for comparison.

        Fri Mar 22 18:16:00 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Fix for a core-on-exit problem.

        Tue Mar 19 13:31:43 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/LiveCheck.h:
        * orbsvcs/ImplRepo_Service/LiveCheck.cpp:

        Adding new mechanism for pinging servers asynchronously. When the IMR is
        interested in the status of a server, it now registers a callback object and
        a ping is scheduled. At the appropriate time, the ping request is sent using
        AMI. The reply or exception is then handled asynchronously.

        For testing in an otherwise synchronous locator, a blocking ping reply waiter
        is used.

        Thu Mar 14 21:36:30 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/AsyncStartupWaiter_i.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

        Some syntactic clean up and apply a fix for a memory leak Kevin applied to
        the trunk.

        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.h:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Thread.h:
        * utils/logWalker/Thread.cpp:

        Add a new type of by-thread output that highlights nested upcalls and the
        processing impact of delaying action on replies.

        Mon Mar 11 16:31:08 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

        Actually select the DSI/AMH implementation when the asynch
        option is supplied. Avoid confusion with the option by calling
        it --asynch rather than the earlier --use_dsi

        * orbsvcs/tests/ImplRepo/scale_clients/run_test.pl:

        Modify the test to verify that both synchronous and asynch
        implementations work.

        Mon Mar 11 01:50:33 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/ImplRepo_Service/Adapter_Activator.h:
        * orbsvcs/ImplRepo_Service/Adapter_Activator.cpp:

        In order to support asynchronous interfaces, the adapter has to use the
        default servant rather than the servant locator. The servant locator does
        not give an opportunity for asynch processing.

        * orbsvcs/ImplRepo_Service/Forwarder.h:
        * orbsvcs/ImplRepo_Service/Forwarder.cpp:

        The initial cut at implementing AMH.

        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

        The feature is optional for now at least.

        * tao/ImR_Client/ImR_Client.mpc:

        Add support for generating asyncronous stubs and skeletons for working
        with the ImR.

Thu Apr  4 13:35:46 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

          Avoid output containing "EXCEPTION" that triggers
          test as a failure while allowing for retries in
          the presence of exceptions due to timing issues.

Wed Apr  3 16:40:46 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

          Add additional error checking/output in
          do_persistence_objectgroup_test() to help diagnose test
          failure seen on a few platforms.

        * orbsvcs/tests/FT_Naming/FaultTolerant/server.cpp:

          Write a status file to indicate server is running.

        * orbsvcs/tests/FT_Naming/FaultTolerant/run_persistence_test.pl:

          Use server's status file to check that server is running
          since group member IOR files are written after server's IOR
          is written.

Sat Mar 30 18:12:28 UTC 2013  Martin Corino  <mcorino@remedy.nl>

        * tests/File_IO/File_i.cpp:
        * tests/POA/Default_Servant2/File_i.cpp:
          Fixed int-to-pointer cast warnings.

Sat Mar 30 09:39:40 UTC 2013  Martin Corino  <mcorino@remedy.nl>

        * orbsvcs/orbsvcs/CosEvent/CEC_EventChannel.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEventChannel.h:
        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.cpp:
        * performance-tests/POA/Object_Creation_And_Registration/registration.cpp:
        * tao/PortableServer/Key_Adapters.cpp:
        * tao/TransportCurrent/IIOP_Current_Impl.cpp:
        * tests/File_IO/File_i.cpp:
        * tests/NestedUpcall/MT_Client_Test/client.cpp:
        * tests/POA/Default_Servant2/File_i.cpp:
          Added MinGW64 compilers support.
          All kinds of minor updates and corrections to silence
          warnings and errors relating to either 64bit Windows or
          the very latest GCC (4.8.0). Mostly precision loss and
          truncating casts.

Fri Mar 29 13:11:10 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/tao_versioning_idl_defaults.mpb:
          Zapped empty line

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be_include/be_global.h:
          Added versioning_include to specify a different versioned
          header include and resolved some problems when trying to
          use versioned namespaces also for the application code

Fri Mar 29 12:26:13 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/util/utl_err.cpp:
          Fixed crash when feeding tao_idl illegal IDL

Thu Mar 28 15:25:46 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * bin/tao_other_tests.lst:

          Added servers_interact_on_startup test but disabled from
          test statistics for now as it exposes a problem with the
          ImR currently being addressed.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test_i.cpp:

          Fixed missing protocol seen on certain compilers.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/client.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/server.cpp:

          Fixed to build with wide characters enabled.

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:

          Made server reply delay long enough to reveal problem under Linux.

Wed Mar 27 13:11:36 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_interact_on_startup:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/README:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test.idl:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test_i.h:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/Test_i.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/client.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/run_test.pl:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/server.cpp:
        * orbsvcs/tests/ImplRepo/servers_interact_on_startup/servers_interact_on_startup.mpc:

          Added test for ImR pinging of ill-behaved, interacting servers.

Thu Mar 14 20:21:19 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/RestartServer/MessengerClient.cpp:
        * orbsvcs/tests/ImplRepo/RestartServer/run_test.pl:

          If valgrind is being ran, adjust delay parameters to
          account for valgrind slowing processes down.

Thu Mar 14 15:54:03 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/ImplRepo/run_test.pl:
        * bin/tao_other_tests.lst:

          Added test for backup_restart feature for ImR.

        * orbsvcs/ImplRepo_Service/Locator_Repository.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

          Added method to support recovering the ior from the combined ior
          file when restarting the backup.

        * orbsvcs/ImplRepo_Service/README:

          Updated documentation to indicate that backup can now be started
          without the primary running when a restart is occuring.

        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

          Implemented feature for restarting backup after a replicated pair
          has been successfully started in the past.

        * orbsvcs/tests/FT_Naming/FaultTolerant/run_backup_restart_test.pl:

          Added test for restart of FT_Naming_Server backup after the FT
          pair has successfully started in the past.

        * tao/ImR_Client/ImR_Client.cpp:

          Fixed memory leak. Clean up list_buffer_ array in destructor.

Thu Mar 14 08:39:00 UTC 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updated for next release

Thu Mar 14 09:04:46 CET 2013  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.1.8 released.

Mon Mar 11 19:25:19 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

          Generate error if more than one persistence mechanism
          type is specifed. Generate error if --primary or --backup
          is based and --directory is not.

Mon Mar 11 16:23:46 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/RestartServer/RestartServer.mpc:
        * orbsvcs/tests/ImplRepo/scale_clients/scale_clients.mpc:
        * orbsvcs/tests/ImplRepo/servers_list/servers_list.mpc:

          For server project add imr_client to base projects
          to support resolving ImR client code for static builds.

Mon Mar 11 14:51:28 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

          Added to wait time for spawn of client as it may
          take longer than 15 seconds to run on some systems
          such as a SPARC T1000.

          Removed duplicate function definition causing prototype
          mismatch warning from perl.

Mon Mar 11 13:33:14 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

          Added sleep in test after first failure to allow time for the
          replication to happen between redundant servers.

Mon Mar 11 13:17:41 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * NEWS:
        * docs/Options.html:
        * orbsvcs/tests/ImplRepo/RestartServer/MessengerClient.cpp:

          Added AIX to systems not supporting -ORBForwardOnReplyClosedLimit.

Mon Mar 11 09:42:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * tests/Bug_4097_Regression/Bug_4097_Regression.cpp:

        Missing main try/catch coverity fix.

Sun Mar 10 05:19:06 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/client.cpp:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/client.cpp:

          Fix wchar compatibility.

Sat Mar  9 19:08:55 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/run_test.pl:

          Fix the delay for the new test_4 client. It necessarily runs longer
          than the standard client timeout.

Sat Mar  9 16:31:33 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

          Use .in() to avoid warning for implicit conversion of _var.

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

          Use .in() to avoid warning for implicit conversion of _var.

        * orbsvcs/tests/FT_Naming/FaultTolerant/server.cpp:

          Removed code that removed a servant. Was causing a race condition
          on some platforms between getting the location strings and then
          iterating through them on the client. In some instances the client
          saw the member in the list right before it was removed. Removal is
          already tested elsewhere.

        * tao/Storable_Factory.h:

          Added include of an ace header to ensure that ACE_LACKS_PRAGMA_ONCE
          was defined.

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/client.cpp:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/client.cpp:

          Added return of result that is set in the test code.

        * tests/POA/Non_Retain_System_Id/test.cpp:

          Use .in() to avoid warning for implicit conversion of _var.

Fri Mar  8 23:04:49 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/client.cpp:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/run_test.pl:

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/client.cpp:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:

          Change the test behavior from many single threaded clients to a single
          multithreaded client. This should help with timing issues that are
          causing a high number of scoreboard failures.

Fri Mar  8 20:27:36 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
        * utils/logWalker/Invocation.h:
        * utils/logWalker/Invocation.cpp:

          Fix warning on size_t.

Fri Mar  8 20:06:15 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * bin/tao_other_tests.lst:

          Dont run the servers_list test in single threaded configuration.

        * orbsvcs/tests/ImplRepo/servers_list/servers_list.mpc:

          Don't build servers_list in a single threaded configuration.

        * tests/Dynamic_TP/Config_Loader/Config_Loader.mpc:
        * tests/Dynamic_TP/ORB_ThreadPool/ORB_ThreadPool.mpc:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/Dynamic_TP_POA_Test_Dynamic.mpc:

          Don't build Dynamic_TP tests in a single threaded configuration.

Fri Mar  8 16:13:18 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/FaultTolerant.mpc:

          Added dependency on idl generation to prevent parallel compile
          from failing.

Fri Mar  8 14:56:14 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/ImplRepo/RestartServer/RestartServer.mpc:
        * bin/tao_other_tests.lst:

          Dont run ImplRepo RestartServer test in single threaded builds.

        * orbsvcs/ImplRepo_Service/Config_Backing_Store.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
        * orbsvcs/ImplRepo_Service/XML_Backing_Store.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_ReaderWriter.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:
        * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.cpp:
        * orbsvcs/tests/FT_Naming/Replication/client.cpp:
        * tao/Storable_FlatFileStream.h:
        * utils/nsgroup/nsgroup.cpp:

          Fix issues with implicit conversion of _var types by using ".in ()".
          Addresses compilation issues on QNX and LynxOS.

          Also included ace/config-lite.h prior to use of ACE_LACKS_PRAGMA_ONCE
          macro to ensure it was defined.

Fri Mar  8 00:06:30 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

          Print correct error message. Should report replica not running.

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

          Refactored init to have a separate function for replication pairing.
          In replication pairing, add logic to allow the backup to start withou
          a running primary if the the primary/backup have successfully started
          previously. It will check to see if the primary ior file was written
          and if it cannot connect to the primary it will assume the primary
          will be started in the future and initiate the pairing then.

        * orbsvcs/tests/FT_Naming/FaultTolerant/run_backup_restart_test.pl:
        * orbsvcs/tests/FT_Naming/FaultTolerant/run_test.pl:

          Add a test for starting the primary, then the backup naming service.
          Then shutdown both the primary and backup and restart the backup
          naming service and try and communicate with it from the client.

Thu Mar  7 17:03:16 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/dynamic_tp.mpb:
        * MPC/config/ft_naming_serv.mpb:

        * orbsvcs/FT_Naming_Service/FT_Naming_Service.mpc:

        * tests/Dynamic_TP/POA_Loader/POA_Loader.mpc:

          Fix library dependency issues manifested by out of order
          declarations on the link command line.

Thu Mar  7 16:55:43 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * NEWS:
        * bin/tao_other_tests.lst:
        * docs/Options.html:
        * orbsvcs/tests/ImplRepo/RestartServer/MessengerClient.cpp:
        * orbsvcs/tests/ImplRepo/RestartServer/run_test.pl:

          Address that -ORBForwardOnReplyClosedLimit does not work
          under FreeBSD, OpenVMS, and Solaris.

Thu Mar  7 13:57:18 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/Thread.cpp:

          Fix compiler warnings.

Wed Mar 06 13:29:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * tao/PI_Server/ServerRequestInterceptorC.h:
        * tests/Bug_4097_Regression/Bug_4097_Regression.cpp:
        * tests/Bug_4097_Regression/Bug_4097_Regression.idl:
        * tests/Bug_4097_Regression/README:

        Fuzz fixes.

Wed Mar 06 09:20:00 UTC 2013  Simon Massey  <simon dot massey at prismtech dot com>

        * docs/Tags.html:
        * tao/Invocation_Adapter.cpp:
        * tao/LocateRequest_Invocation_Adapter.cpp:
        * tao/Service_Callbacks.cpp:
        * tao/Synch_Invocation.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.cpp:

          Correct minor error and location codes to reflect current code
          and correct general errno copies where fixed error codes should
          be thrown.

        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * tao/PI_Server/ServerRequestInterceptorC.h:
        * tao/AnyTypeCode/Any_Dual_Impl_T.cpp:

          Minor 64bit type warnings and unused variables, possiable
          memory leaks under error conditions etc.

        * docs/Options.html:
        * tao/ORB_Core.cpp:
        * tao/IIOP_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:

          Add missing UIPMC factory section and -ORBListenOnAll parameter
          to Options and fix -ORBEnforcePreferredInterfaces inversion
          and allow multiple -ORBPreferredInterfaces strings to be
          concatenated. Fix minor possiable memory leaks and processing,
          general tidy up.

        * bin/tao_orb_tests.lst:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * tests/Bug_4097_Regression/Bug_4097_Regression.cpp:
        * tests/Bug_4097_Regression/Bug_4097_Regression.idl:
        * tests/Bug_4097_Regression/Bug_4097_Regression.mpc:
        * tests/Bug_4097_Regression/README:
        * tests/Bug_4097_Regression/run_test.pl:

        Bugzilla_4097 fix (Prismtech Jira TAO-69)
        Typecodes for UNIONs with multiple labels per individual case were
        generated incorrectly. Look at the tests README for details.

Tue Mar  5 21:47:07 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/GIOP_Buffer.cpp:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.h:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.h:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/PeerProcess.h:
        * utils/logWalker/PeerProcess.cpp:
        * utils/logWalker/Thread.h:
        * utils/logWalker/Thread.cpp:

          Improve the parsing and readability of heavily recursive
          logs.

Mon Mar  4 21:24:45 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/RestartServer/Terminator.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/Terminator.cpp:

          Fix so works properly for non-debug builds.

Sat Mar  2 19:32:43 UTC 2013  Phil Mesnier  <mesnier_p@socket.net>

        * bin/tao_orb_tests.lst:

          Avoid running the Dynamic_TP/ORB_Loader test for static builds.

Fri Mar  1 20:17:57 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * NEWS:

          Added entry about ImR being interoperable with JacORB
          servers.

Fri Mar  1 19:15:40 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

          Fix build problem when wide characters are enabled.

Fri Mar  1 16:54:37 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/Basic.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:
        * orbsvcs/tests/FT_Naming/Load_Balancing/Basic.cpp:
        * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.cpp:

          Avoid memory leaks by placing object group reference
          returned from add_member and remove_member in an
          ObjectGroup_var to ensure it is cleaned up.

Fri Mar  1 15:30:10 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

          Avoid conversion ambiguity on OpenVMS.

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

          Avoid compilation ambiguity regarding var type and [] operator.

        * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.cpp:

          Minor change in test. Unnecessary to allocate for 2 elements.

Fri Mar  1 15:02:34 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

          Fix the spelling of the included file. Mac's apparently are case-
          insensitive when finding include files.

Thu Feb 28 23:49:27 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

          Avoid ambiguity in operator selection.

        * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.cpp:

          Explicitly destroy the RootPOA for cleanup.

Thu Feb 28 18:28:39 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:

          The dynamic loader test requires shared libraries, so disable it for
          static linked builds.

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

          The static linked build was not properly initalizing the POA factory.

Thu Feb 28 17:43:15 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * MPC/config/ftclientorb.mpb:

          FT_ClientORB depends on threads to be built, so any
          component that depends on it must also be build in a
          threaded environment.  Added threads to dependencies
          to this base project.

Wed Feb 27 19:56:57 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/run_persistence_test.pl:

          Extend object group persistence test to test saving
          of state change by removing a member from a group in first
          pass of test and then adding the member back in the second,
          verification-only, pass of test.

Tue Feb 26 20:41:29 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.cpp:

          Fix test for wide character output

Tue Feb 26 16:48:47 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

        * utils/nsgroup/README:
        * utils/nsgroup/nsgroup.cpp:
        * utils/nsgroup/run_test.pl:

          Modify nsgroup command line interface to only support round robin
          policy strategy.

Tue Feb 26 14:03:02 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.h:

          Complete the wide char fix started on Feb 25 01:32:42 UTC 2013.

Mon Feb 25 17:32:02 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:

          Refactor the ownership of PG_Property_Set and defaults. This reverts
          the change that introduced an ownership flag, and instead uses a
          reference counted pointer to manage the default sets.

Fri Feb 22 19:32:58 UTC 2013  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.cpp (list_types):
          Delete the types to avoid a memory leak.  Thanks to Rudy Pot
          <rpot at aweta dot nl> for reporting this.

Mon Feb 25 01:32:42 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.cpp:

          Address wide character scoreboard failures.

Mon Feb 25 00:46:10 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:

          Fox for propagaing ownership of the property set.

Sun Feb 24 23:01:05 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:

          Furhter refinement of earlier leak fix. The problem is that nearly
          all situations that create a PG_Property_Set supplying a "default"
          property set, the ownership of the supplied set stays with the
          caller. But in one case, the ownership is transfered to the new
          property set. That one case, from the FT_Naming_Manager, was the
          source of a memory leak.

Sat Feb 23 03:29:05 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_list/Test_i.h:

          Scoreboard cleanup.

Fri Feb 22 22:00:40 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

          Clean up debug messages so that they conform to TAO convention.

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:

          Fix a couple of memory leaks.

Fri Feb 22 14:25:37 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.h:
        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.cpp:

          Fixed wchar issue in tests.

        * tests/Bug_4059_Regression/client.cpp:

          Replaced global variable name = lock to avoid issue on QNX
          of collision with lock() function defined in unistd.h.

Fri Feb 22 04:24:41 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * tests/DynAny_Test/da_tests.idl:
        * tests/DynAny_Test/test_dynsequence.cpp:

         Added use case tests of narrowing DynSequence from a DynAny
         containing a basic type sequence.

Thu Feb 21 23:45:22 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_list/server.cpp:

          Missed an implicit include of an ACE_OS header.

        * tao/Dynamic_TP/DTP_POA_Loader.cpp:

          Fix a memory leak.

Wed Feb 20 21:53:29 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * tao/DynamicAny/DynAny_i.cpp:

        Changed check_typecode() to use TypeCode equivalence() for
        CORBA::tk_sequence typecode checks.

        * tao/DynamicAny/DynCommon.cpp:

        Changed is_basic_type_seq() to use TypeCode equal().

Wed Feb 20 19:17:39 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/scale_clients/client.cpp:

          Fix compiler warning about unused variable.

        * orbsvcs/tests/ImplRepo/scale_clients/run_test.pl:

          Remove usage of Time::HiRes which isn't available on
          all supported platforms.

Wed Feb 20 17:56:53 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:

          Fixed a leak resulting from the double duplication of a couple of object
          references.

Wed Feb 20 16:33:22 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

          Fixed leak with MemberInfo in object group when the addition
          of a member fails for some reason.

Wed Feb 20 16:22:38 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_list/run_test.pl:

          Provide timing information for the list commands to see
          the impact, if any, of determining if servers are
          active for a large number of servers.

Wed Feb 20 14:47:30 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/servers_list/Test_i.cpp:

          Made explicit an implicit inclusion that failed to build on compact/noinline
          builds.

Wed Feb 20 04:41:54 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Dynamic_TP/POA_Loader/POA_Loader.mpc:

          Another static build fix.

Wed Feb 20 03:49:14 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

          Added checks for null object group passed to operations.
          Throw an exception if such an object group is passed.

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

          Fixed bug in replication related to loading a file containing
          object group members. The empty_ attribute was not being
          set upon load. This was causing problems with adding a
          member to an object group with existing members.

Tue Feb 19 21:34:33 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * tao/ImR_Client/ImplRepo.pidl:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/Server_Info.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.h:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
        * docs/implrepo/tao_imr.html

          Added option -a to tao_imr list that will
          only list the servers that are currently
          active.

        * orbsvcs/tests/ImplRepo/servers_list:
        * orbsvcs/tests/ImplRepo/servers_list/README:
        * orbsvcs/tests/ImplRepo/servers_list/Terminator.h:
        * orbsvcs/tests/ImplRepo/servers_list/Terminator.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/Test.idl:
        * orbsvcs/tests/ImplRepo/servers_list/Test_i.h:
        * orbsvcs/tests/ImplRepo/servers_list/Test_i.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/client.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/run_test.pl:
        * orbsvcs/tests/ImplRepo/servers_list/server.cpp:
        * orbsvcs/tests/ImplRepo/servers_list/servers_list.mpc:
        * bin/tao_other_tests.lst:

          Added a test for the -a option to tao_imr list.

Tue Feb 19 18:28:46 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * DevGuideExamples/Multithreading/DynamicThreadPool/DynamicThreadPool.mpc:

        * MPC/config/ft_naming_serv.mpb:

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Dynamic_TP_POA_Test_Static.mpc:

          Fix dependencies for static builds.

Tue Feb 19 13:57:57 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/scale/run_test.pl:

          Fix so runs properly when activator is used.

Tue Feb 19 03:29:14 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

          Use .in() operations to explicitly convert _var types.

Tue Feb 19 01:48:59 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Leader_Follower.h:
        * tao/Leader_Follower.inl:
        * tao/Leader_Follower.cpp:
        * tao/New_Leader_Generator.h:

          Added an explicit call to start a new thread when a dynamic thread pool is
          attached and a client thread would otherwise become a client leader. This
          adds a conditional on the critical path, but only when a client would become
          a leader anyway, which is a suboptimal performance path. The formerly void
          no_leader_available call now returns a bool, which is necessary to decide
          whether to continue waiting or press on as a client leader.

        * tao/Dynamic_TP/DTP_ORBInitializer.cpp:

          When the ORB has a dynamic thread pool attached, this sets the new client
          leader avoidance flag.

        * tao/Dynamic_TP/DTP_Thread_Pool.h:
        * tao/Dynamic_TP/DTP_Thread_Pool.cpp:
        * tao/RTCORBA/Thread_Pool.h:
        * tao/RTCORBA/Thread_Pool.cpp:

          Propagate the return value change.

        * tests/Dynamic_TP/ORB_ThreadPool/middle.conf:

          Update to use the noupcall wait strategy.

Mon Feb 18 22:49:18 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

          Prevent object groups with identical names from being added.

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

          Added return value to indicate failure in read.

        * tao/Storable_File_Guard.h:
        * tao/Storable_File_Guard.cpp:

          Updated code to use the stream.good() status and return it as
          appropriate.

        * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

          Added return value to indicate failure. Check the stream.good()
          status for return value.

        * tests/Storable/Savable.cpp:

          Update test to provide the return value for the stream status.

        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.h:
        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/run_failover_test.pl:
        * orbsvcs/tests/FT_Naming/FaultTolerant/server.cpp:

          Updated tests to check removal of members and allow for multiple
          runs to verify code correctly deals with attempt to creat the
          same object group muliple times.

Mon Feb 18 18:36:08 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Naming_Loader.cpp:

          Check pointer prior to access.

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:

          Use %C for logging ascii strings.

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

          Added checks for null pointers prior to access.

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_ReaderWriter.cpp:

          Added check for stream_.good () prior to return. Still in need of
          additional checks elsewhere.

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

          Fixed memory leak for type_id_.

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

          Fixed memory leaks with object_to_string.

        * tests/Dynamic_TP/ORB_ThreadPool/Test_i.h:
        * tests/Dynamic_TP/ORB_ThreadPool/Test_i.cpp:

          Avoid fuzz warning regarding use of ACE_Thread_Mutex.

Mon Feb 18 15:34:16 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

          Avoid using long long format specifier to avoid compile
          warning from MinGW compiler.

Mon Feb 18 02:24:23 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/FT_Naming_Service/FT_Naming_Service.mpc:

          Added dependency for ftnaming.mpb.

Sun Feb 17 20:28:52 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/ImplRepo/scale_clients/Test_i.h:
        * orbsvcs/tests/ImplRepo/scale_clients/Test_i.cpp:

          Argument differed from interface mapping. Removed const
          declaration for argument.

Sat Feb 16 21:24:58 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

          Fixed compilation error for OpenVMS. Needed to use .in() operator
          on _var type.

Sat Feb 16 16:43:10 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

         Placed more generic Exception handler after specific one.

        * tao/Stub.inl:

          ACE_MT_SYNCH::MUTEX was undefined in certain corba_e_micro builds.
          changed to use TAO_SYNCH_MUTEX instead.

Fri Feb 15 19:56:11 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Dynamic_TP/DTP_Thread_Pool.h:
        * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

          There was still a potential race condition between when a thread was
          determined to exit and when it actually removed itself from the count.
          this could lead to a premature temination of the thread pool.

Fri Feb 15 19:25:53 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Dynamic_TP/DTP_Thread_Pool.h:
        * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

          Ensure that the thread pool shrinks as required when threads go idle.
          ALso make sure that waiting on the pool continues waiting in the face
          of dynamic pool growth.

        * tests/Dynamic_TP/ORB_ThreadPool/Client.cpp:
        * tests/Dynamic_TP/ORB_ThreadPool/Middle.cpp:
        * tests/Dynamic_TP/ORB_ThreadPool/ORB_ThreadPool.mpc:
        * tests/Dynamic_TP/ORB_ThreadPool/Server.cpp:
        * tests/Dynamic_TP/ORB_ThreadPool/Test.idl:
        * tests/Dynamic_TP/ORB_ThreadPool/Test_i.h:
        * tests/Dynamic_TP/ORB_ThreadPool/Test_i.cpp:
        * tests/Dynamic_TP/ORB_ThreadPool/client.conf:
        * tests/Dynamic_TP/ORB_ThreadPool/middle.conf:
        * tests/Dynamic_TP/ORB_ThreadPool/run_test.pl:
        * tests/Dynamic_TP/ORB_ThreadPool/server.conf:

          Enhance the test case to illustrate the behavior of a middle tier server

Thu Feb 14 22:54:41 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

          Added checks for null object groups as inputs to naming manager
          through the Portable Group interface.

Thu Feb 14 19:50:37 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.cpp:

          Added include of ace/pre.h.

        * orbsvcs/tests/ImplRepo/RestartServer/Terminator.cpp:
        * orbsvcs/tests/ImplRepo/scale_clients/client.cpp:

          Addressed a few compiler warnings.

Thu Feb 14 18:06:34 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Factory.h:

          Moved forward declaration for Storable_Factory into the versioned
          namespace declaration.

Thu Feb 14 16:27:21 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/ImplRepo_Service/Config_Backing_Store.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.h:

          Further changes to get to compile when versioned namespaces are used.

Thu Feb 14 14:28:58 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Storable.h:
        * orbsvcs/orbsvcs/Naming/Storable.inl:

          Added initialization of type_ member to fix Coverity issue.

        * tests/Var_Deref:
        * tests/Var_Deref/README.txt:
        * tests/Var_Deref/Test.idl:
        * tests/Var_Deref/Var_Deref.mpc:
        * tests/Var_Deref/var_deref.cpp:

          Removed these files.  No longer needed since this feature
          was removed in the previous commit.

Wed Feb 13 19:25:06 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

        * tao/Seq_Var_T.h:
        * tao/Seq_Var_T.inl:

          Backed out change which moved explicit point dereference operation
          from variable length vars to base so it can be applied to vars for
          fixed length types. Was causing issues with MSVC compilers related
          to ambiguity.

Wed Feb 13 18:28:34 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Round_Robin.h:
        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * tests/Storable/Savable.h:

          Changes to get to compile when versioned namespaces are used.

Wed Feb 13 17:18:10 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * bin/tao_orb_tests.lst:

          Don't run ORB_ThreadPool test on CORBA_E_COMPACT.

        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

          Added null test for file_lock_ to fix Coverity Issues:
          972905, 972903.

        * tests/Dynamic_TP/ORB_ThreadPool/ORB_ThreadPool.mpc:

          Avoid building ORB_ThreadPool under corba_e_compact.

Wed Feb 13 15:05:15 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

          Added check for null Object Group being provided. Will
          now throw an exception and log an error.

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

          Added check for null member being added to Object Group.  Will
          now throw an exception and log an error.

Tue Feb 12 22:39:37 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynCommon.cpp:

          Apply patches from Bug 4082 that enable faster DynamicAny

        * tests/Bug_4082_Regression/Bug_4082_Regression.cpp:

          Added missing include for tao/AnyTypeCode/Any.h

Tue Feb 12 19:53:48 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * tests/Dynamic_TP/Config_Loader/Test.cpp:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:
        * tests/Dynamic_TP/POA_Loader/Test.cpp:

          Fix wide character compile issues.

Tue Feb 12 19:45:02 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/FT_Naming_Service/README:

          Added discussion about backup files used for persistent
          data.

Tue Feb 12 19:34:45 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * DevGuideExamples/Multithreading/DynamicThreadPool/DynamicThreadPool.mpc:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/Dynamic_TP_POA_Test_Dynamic.mpc:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Dynamic_TP_POA_Test_Static.mpc:
        * tests/Dynamic_TP/Config_Loader/Config_Loader.mpc:
        * tests/Dynamic_TP/POA_Loader/POA_Loader.mpc:
        * bin/tao_orb_tests.lst:

          Added avoids for corba_e_compact and corba_e_micro.

        * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.h:

          Fixed versioned namespace issue.

Tue Feb 12 16:56:58 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/scale_clients/server.cpp:

          Fix Coverity 980636: Unchecked dynamic_cast.

Tue Feb 12 16:43:40 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/tests/ImplRepo/scale_clients/server.cpp:

          Added missing include.

Tue Feb 12 16:31:45 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/tests/ImplRepo/scale_clients/Test_i.cpp:

          Added missing include.

        * tests/Bug_4059_Regression/client.cpp:

          Fix c++11 fuzz error regarding ACE_Thread_Mutex.

        * tests/Storable/test.cpp:

          Avoid warnings about unused variables.

Tue Feb 12 16:28:13 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

          To avoid AIX xlC compile errors, moved all static
          functions to anonymous namespace, and renamed unique_id
          functions to get_unique_id to avoid conflict with
          struct of the same name in xlC header file.

Tue Feb 12 15:56:38 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/FT_Naming_Serv.mpc:

          Added missing dependency on loadbalancing.

Tue Feb 12 14:39:28 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context_Factory.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context_Factory.cpp:

          Account for compilers, such as version 8 of the AIX xlC
          C++ compiler, not have support for std::nothrow.

Tue Feb 12 02:33:59 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

          Implicit conversion not working on some compilers. Added
          explicit conversion.

Mon Feb 11 22:57:43 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/FT_Naming_Service:
        * orbsvcs/FT_Naming_Service/README:

          Created new directory to keep the FT_Naming Service
          separate from the CosNaming Serverice. Renamed README
          since it is the only one in this dir now.

        * orbsvcs/FT_Naming_Service/FT_Naming_Main.cpp:
        * orbsvcs/FT_Naming_Service/FT_Naming_Service.h:
        * orbsvcs/FT_Naming_Service/FT_Naming_Service.cpp:
        * orbsvcs/FT_Naming_Service/FT_Naming_Service.mpc:

          Changed so FT_Naming_Service no longer inherits from
          Naming_Service.

        * orbsvcs/Naming_Service/Naming_Service.h:
        * orbsvcs/Naming_Service/Naming_Service.cpp:

          Removed factory method for Naming_Server since it is no
          longer derived.

        * orbsvcs/tests/FT_Naming/FaultTolerant/README:
        * orbsvcs/tests/FT_Naming/FaultTolerant/run_equivalence_test.pl:
        * orbsvcs/tests/FT_Naming/FaultTolerant/run_failover_test.pl:
        * orbsvcs/tests/FT_Naming/FaultTolerant/run_persistence_test.pl:
        * orbsvcs/tests/FT_Naming/Federation/run_test.pl:
        * orbsvcs/tests/FT_Naming/Load_Balancing/run_test.pl:
        * orbsvcs/tests/FT_Naming/Replication/run_test.pl:
        * orbsvcs/tests/Simple_Naming/run_test_ffp.pl:
        * orbsvcs/tests/Simple_Naming/run_test_ft.pl:
        * utils/nsgroup/run_test.pl:
        * orbsvcs/Naming_Service/FT_Naming_Main.cpp:
        * orbsvcs/Naming_Service/FT_Naming_Service.h:
        * orbsvcs/Naming_Service/FT_Naming_Service.cpp:
        * orbsvcs/Naming_Service/FT_Naming_Service.mpc:
        * orbsvcs/Naming_Service/README.FT_Naming:

          Modified references to tao_ft_naming to be in the
          FT_Naming directory.

        * utils/nsgroup/README.nsgroup:
        * utils/nsgroup/README:

          Renamed to README with no extension.

Mon Feb 11 20:08:11 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

          Fix Coverity 972906: Unchecked return value.

        * tao/Synch_Invocation.cpp:

          Fix Coverity 972926: Dereference after null check.

Mon Feb 11 17:46:21 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp:

          Fixed an oversight in cleaning up the location_map_ when
          an ObjectGroup is destroyed.

Mon Feb 11 15:46:44 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * tao/Storable_FlatFileStream.cpp:

          Fix Coverity 972909, 972910, 972911, 972912:
          Unchecked return value from library.
          Fix Coverity 972927: Integer overflowed argument.
          Fix Coverity 972928: Missing break in switch.
          Fix Coverity 972938: Use of untrusted scalar value.

        * tao/Storable_Base.h:
        * tao/Storable_Base.cpp:

          Refactored so base class Storable_Exception can be thrown
          directly when bad value from ACE_OS call is returned.

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

          Catch Storable_Exception instead of just Storable_Read_Exception.

Mon Feb 11 14:46:52 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

          Clean up compile error triggered by earlier fix.

Mon Feb 11 01:32:19 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp:

          Fix Coverity 310907. Resource leak.

        * tao/IORManipulation/IORManip_IIOP_Filter.cpp:

          Fix Coverity 300639. Resource leak.

Fri Feb  8 22:28:42 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Dynamic_TP/DTP_ORBInitializer.cpp:

          Fix Coverity 972925. Unchecked dynamic cast.

        * tao/Dynamic_TP/DTP_Task.cpp:

          Fix Coverity 972742. Unintialized members.

        * tao/PortableServer/ServantRetentionStrategyNonRetain.h:
        * tao/PortableServer/ServantRetentionStrategyNonRetain.cpp:

          Fix Coverity 972992. Stray pointer arethmetic.

        * utils/logWalker/GIOP_Buffer.cpp:

          Fix Coverity 972917. Logically dead code.

        * utils/logWalker/Log.cpp:

          Fix Coverity 972930. Potential null dereference.

Fri Feb  8 21:43:54 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

        Fix Coverity 972933.  Variable "IORM" Resource Leak.

Fri Feb  8 19:25:49 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:

          Fix Coverity 972923. Unchecked dynamic_cast.

        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:

          Fix Coverity 972924. Unchecked dynamic_cast.

        * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

          Fix Coverity 972907.  Unchecked return value.

        * tao/Invocation_Retry_State.cpp:

          Fix Coverity 972908. Unchecked return value.

        * tao/Storable_File_Guard.cpp:

          Fix Coverity 972943. Uninitialized pointer field.

        * tests/Storable/test.cpp:

          Fix Coverity 972939. Uncaught exception.

Fri Feb  8 19:10:05 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

          Fixed output methods to use ACE_DEBUG.

Fri Feb  8 14:37:16 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

          Revert a change for wchar support that was causing
          compile failure for narrow char build.

Fri Feb  8 03:47:02 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * tao/CDR.h:

          Fix Coverity 972947. Non-virtual destructor.

        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

          Fix Coverity 972940 Uninitialized scalar field.

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

          Fix Coverity 972941 - Uninitialized scalar field.

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

          Fix Coverity 972946 - Double free.

        * utils/nsgroup/nsgroup.cpp:

          Fix Coverity 972945 - Uninitialized pointer field.

Thu Feb  7 23:26:20 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/GIOP_Buffer.cpp:
        * utils/logWalker/Invocation.h:
        * utils/logWalker/Invocation.cpp:

          Incremental improvments for buffer parsing and reporting

Thu Feb  7 23:02:53 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:

        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:

        * tao/Stub.h:
        * tao/Stub.inl:

        * tests/Bug_4059_Regression:

          Fix for bugzilla 4059.

Thu Feb  7 22:55:30 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/dynamic_tp.mpb:
        * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

          Fix scoreboard issues with corba_e_micro avoidance and a compile warning.

Thu Feb  7 22:45:43 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/tests/FT_Naming/Load_Balancing/Basic.cpp:
        * orbsvcs/tests/FT_Naming/Load_Balancing/client.cpp:

          Scoreboard cleanup for wchar compatibility.

Thu Feb  7 22:28:22 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

          Scoreboard cleanup for wchar compatibility.

Thu Feb  7 21:39:47 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * tao/Storable_Factory.h:
        * tao/Storable_File_Guard.h:
        * tao/Storable_File_Guard.cpp:
        * tao/Storable_FlatFileStream.h:
        * tao/Storable_FlatFileStream.cpp:

          Instead of a mixture of char and ACE_TCHAR usage,
          changed to use char wherever possible since the
          data being persisted will not be of wide character type.
          Doing this resulted in tests that use this code
          to pass when wchar usage is enabled.

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:
        * tests/Storable/Savable.cpp:

          Updated to account for the API changes in the Storable
          classes.

Thu Feb  7 20:16:29 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
        * orbsvcs/tests/ImplRepo/airplane_client_i.cpp:
        * orbsvcs/tests/ImplRepo/airplane_server_i.cpp:

          Scoreboard cleanup for wchar compatibility.

Thu Feb  7 17:00:28 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.cpp:
        * tao/Dynamic_TP/DTP_Config.cpp:

          Scoreboard cleanup for wchar compatibility.

Thu Feb  7 00:54:59 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/Basic.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/LB_server.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:
        * orbsvcs/tests/FT_Naming/FaultTolerant/server.cpp:
        * orbsvcs/tests/FT_Naming/Federation/Hello.cpp:
        * orbsvcs/tests/FT_Naming/Federation/client.cpp:
        * orbsvcs/tests/FT_Naming/Federation/server.cpp:
        * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.cpp:
        * utils/nsgroup/nsgroup.cpp:

          Scoreboard cleanup for wchar compatibility.

Wed Feb  6 22:04:56 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

          Fixes to get clean compiles when wchar support is enabled.

Wed Feb  6 21:49:45 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:
        * tao/Storable_File_Guard.h:
        * tao/Storable_File_Guard.cpp:
        * tests/Storable/Savable.cpp:

          Fixes to get clean compiles when wchar support is enabled.

Wed Feb  6 20:55:51 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:

          Scoreboard cleanup for wchar compatibility.

Wed Feb  6 20:48:55 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:

          Scoreboard cleanup for wchar compatibility.

Wed Feb  6 20:42:56 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
        * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.h:

          Added missing versioned namespace declarations.

Wed Feb  6 20:00:43 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * tao/ImR_Client/ImR_Client.cpp:

          Scoreboard cleanup for wchar compatibility.

Wed Feb  6 19:44:23 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * tao/Storable_FlatFileStream.h:

          Added missing versioned namespace declaration.

Wed Feb  6 19:12:01 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:

          Removed unnecessary ACE_TEXT_ALWAYS_CHAR wrappers.

Wed Feb  6 17:10:17 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * orbsvcs/Naming_Service/FT_Naming_Service.mpc:
        * orbsvcs/Naming_Service/Naming_Service.mpc:

          Split out FT_Naming_Service project to its own file
          so that the Naming Service can be built and not
          the FT version.

Wed Feb  6 15:42:25 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * MPC/config/ft_naming_serv.mpb:

          Added dependency on portablegroup.

        * orbsvcs/Naming_Service/Naming_Service.mpc:

          Moved avoids to correct project. Should have been on FT_Naming_Service.

        * tao/Storable_File_Guard.cpp:

          Removed unused exception variable.

Wed Feb  6 14:57:44 UTC 2013  Byron Harris  <harrisb@ociweb.com>

        * bin/tao_other_tests.lst:

        * orbsvcs/tests/ImplRepo/scale_clients:
        * orbsvcs/tests/ImplRepo/scale_clients/README:
        * orbsvcs/tests/ImplRepo/scale_clients/Test.idl:
        * orbsvcs/tests/ImplRepo/scale_clients/Test_i.h:
        * orbsvcs/tests/ImplRepo/scale_clients/Test_i.cpp:
        * orbsvcs/tests/ImplRepo/scale_clients/client.cpp:
        * orbsvcs/tests/ImplRepo/scale_clients/run_test.pl:
        * orbsvcs/tests/ImplRepo/scale_clients/scale_clients.mpc:
        * orbsvcs/tests/ImplRepo/scale_clients/server.cpp:

          Added a test that spawns multiple clients making requests to a
          single server. As described in the README, this is useful for
          showing how numerous clients waiting to forward requests to a
          server being pinged by the ImplRepo can cause deep recursion that
          could cause a stack overflow.

Wed Feb  6 14:51:55 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/Naming_Service/Naming_Service.mpc:
        * orbsvcs/orbsvcs/FT_Naming_Serv.mpc:

          Avoid building on compact and micro platforms.

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:

          Moved pragma after first ACE include.

Wed Feb  6 14:20:33 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Dynamic_TP/DTP_POA_Strategy.h:
        * tao/Dynamic_TP/DTP_Task.h:
        * tao/Dynamic_TP/DTP_Task.cpp:

          Scoreboard cleanup for compact or other builds lacking Messaging support.

        * tao/ORB_Core.cpp:

          Scoreboard cleanup for wchar compatibility.

Wed Feb  6 01:55:23 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

        * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
          Use TAO_ macro instead of ACE_ macro.

        * orbsvcs/ImplRepo_Service/Config_Backing_Store.cpp:
        * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/tests/ImplRepo/run_test.pl:

          Fixed whitespace fuzz errors.

        * tao/Storable_FlatFileStream.h:
        * tao/Storable_FlatFileStream.cpp:

          Removed exception specification to avoid fuzz error.

Tue Feb  5 21:02:55 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

    Several new features and bug fixes captured in Bugzilla 4091, 4092, 4093,
    4094, 4095, and 4096. Specific details of the changes described below
    through the tag at the end bookmarked with:
    *****  OCI_Reliability_Enhancements Changes

    Tue Feb  5 17:10:58 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

            * TAO_IDL/be/be_enum.cpp:
            * TAO_IDL/be/be_visitor_enum/enum_cs.cpp:

              Merged additional changes from trunk in preparation for merge. The
              above files had changes.

    Tue Feb  5 17:00:14 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

            * bin/tao_orb_tests.lst:
            * docs/Options.html:
            * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Transport.cpp:
            * tao/AnyTypeCode/Any_Dual_Impl_T.h:
            * tao/AnyTypeCode/Any_Dual_Impl_T.cpp:
            * tao/GIOP_Message_Base.cpp:
            * tests/Bug_4082_Regression/run_test.pl:

              Merged changes from trunk in preparation for merge. The
              above files had changes.

    Mon Feb  4 22:57:48 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_Service.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:

              Updates to doxygen comments.

            * orbsvcs/Naming_Service/README.FT_Naming:

              Added in two missing options to summary description.

            * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:

              Filled in incomplete documentation.

    Fri Feb  1 21:55:33 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * tests/Storable/run_test.pl:

              Allow number of loops and loop delay to be specified
              from the command line to manually determine values
              that could cause test failure.

            * tests/Storable/test.cpp:

              Code clean up.

    Fri Feb  1 21:44:54 UTC 2013  Marc Neeley  <neeley_m@ociweb.com>

            * orbsvcs/tests/ImplRepo/run_test.pl:
              Changed the way the backup files were cleaned up in
              run script as it was causing an indirect error to occur
              in the scoreboard log.

              Trapped XML parse errors in run script for tests where
              the XML persistence files were purposefully corrupted
              causing false tests fail condition in the scoreboard log.

    Thu Jan 31 23:31:54 UTC 2013  Marc Neeley  <neeley_m@ociweb.com>

            * bin/tao_other_tests.lst:
            * orbsvcs/tests/ImplRepo/run_test.pl:
              Three tests were added to test a corruption of
               (1) a primary listing file - persistent_listingcorrupt
               (2) a primary activator file - persistent_activatorcorrupt
               (3) a primary server file  - persistent_servercorrupt

    Thu Jan 31 23:21:08 UTC 2013  Marc Neeley  <neeley_m@ociweb.com>

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:
              Added a new method to Shared_Backing_Store class called write_listing.
              This new method is refactoring to allow either a primary or backup
              listing file to be written. Modifications were also made to write to
              a primary and a backup file (the primary file name with a .bak ext)
              for the server and activator services. Reading modifications were
              made for listing, server, and activator files such that if the read
              from primary failed, then the read from the backup would be performed.

    Thu Jan 31 19:12:02 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * bin/tao_other_tests.lst:

              Avoid running Redundant_Naming test on Windows. Not supported on that platform.

            * orbsvcs/tests/Bug_2777_Regression/run_test.pl:

              Run tao_nslist from $ACE_ROOT/bin instead of searching for it.

    Thu Jan 31 15:59:23 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * bin/tao_orb_tests.lst:

              Disable Storable test under Windows because of file locking
              problems.

    Thu Jan 31 14:10:56 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:

              Fixed formatting issues. Lines too long.

            * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

              Fixed error in which exception was being printed in catch block.

            * tao/ORB_Core.cpp:

              Fixed copy paste error in comment.

    Wed Jan 30 19:03:33 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * docs/Options.html:

              Fix typos for for a few invocation retry parameters.

            * tao/DynamicInterface/DII_Invocation_Adapter.h:
            * tao/DynamicInterface/DII_Invocation_Adapter.cpp:
            * tao/Invocation_Adapter.h:
            * tao/Invocation_Adapter.cpp:
            * tao/Invocation_Retry_State.h:
            * tao/Invocation_Retry_State.cpp:
            * tao/Messaging/Asynch_Invocation_Adapter.h:
            * tao/Messaging/Asynch_Invocation_Adapter.cpp:
            * tao/Stub.h:
            * tao/Stub.cpp:
            * tao/Synch_Invocation.h:
            * tao/Synch_Invocation.cpp:

              Fixed bad assumption I made for invocation retries
              that Invocation_Adapter::invoke () would not be
              done asynchronously with the same TAO_Stub.

    Tue Jan 29 15:13:13 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

            * ChangeLog:
            * TAO_IDL:
            * TAO_IDL/be/be_sequence.cpp:
            * examples/Advanced/ch_12/client.cpp:
            * examples/Advanced/ch_18/client.cpp:
            * examples/Advanced/ch_21/client.cpp:
            * examples/Advanced/ch_8_and_10/client.cpp:
            * orbsvcs/tests/Miop/McastFragmentation/client.cpp:
            * orbsvcs/tests/Miop/McastFragmentation/run_test.pl:
            * orbsvcs/tests/Miop/McastFragmentation/run_test_ipv6.pl:
            * orbsvcs/tests/Miop/McastFragmentation/uipmc_client.conf:
            * orbsvcs/tests/Miop/McastFragmentation/uipmc_server.conf:
            * orbsvcs/tests/Miop/McastFragmentation/uipmc_server_m.conf:
            * orbsvcs/tests/Miop/McastFragmentation/uipmc_server_n.conf:

              Merged Doc group trunk into branch to resolve issues with building examples.

    Mon Jan 28 22:54:36 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/ImplRepo_Service/README:

              Update documentation for fault tolerant tao_imr_locator

            * utils/nsgroup/run_test.pl:

              Fix file redirection option check in run_client()

    Mon Jan 28 22:20:12 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/Naming_Loader.h:
            * orbsvcs/orbsvcs/Naming/Naming_Loader.cpp:

              Creates the Naming Server object if one is not passed in
              as it did before. Allows user to pass in a derived
              Naming Server if they wish to use it.

            * utils/nslist/nslist.cpp:

              Avoid warnings regarding conversions.

    Mon Jan 28 22:22:09 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * tests/Storable/run_test.pl:

              Redirect output as was similary done in previous commit.

    Mon Jan 28 20:09:12 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant/run_persistence_test.pl:

              Redirect output wih expected error messages encountered
              reading corrupt files so that these messages will not
              indicated test failure.

    Mon Jan 28 16:09:03 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>
            * docs/Options.html:

              Resolved conflict between trunk update and branch changes.

            * NEWS:
            * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
            * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
            * examples/Advanced/ch_12/client.cpp:
            * examples/Advanced/ch_18/client.cpp:
            * examples/Advanced/ch_21/client.cpp:
            * examples/Advanced/ch_8_and_10/client.cpp:
            * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Transport.h:
            * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Transport.cpp:
            * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
            * orbsvcs/orbsvcs/PortableGroup/miop_resource.h:
            * orbsvcs/orbsvcs/PortableGroup/miop_resource.cpp:
            * orbsvcs/orbsvcs/PortableGroup/miopconf.h:
            * orbsvcs/tests/Miop/McastFragmentation/Hello_Impl.h:
            * orbsvcs/tests/Miop/McastFragmentation/Hello_Impl.cpp:
            * orbsvcs/tests/Miop/McastFragmentation/client.cpp:
            * orbsvcs/tests/Miop/McastFragmentation/run_test.pl:
            * orbsvcs/tests/Miop/McastFragmentation/run_test_ipv6.pl:
            * orbsvcs/tests/Miop/McastFragmentation/server.cpp:
            * tao/DynamicInterface/Request.h:

            Merged trunk to OCI_Reliability_Enhancements branch.  These files were changed on
              the trunk.

    Sun Jan 27 18:57:35 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * tao/Storable_Base.h:
            * tao/Storable_Base.inl:
            * tao/Storable_Base.cpp:
            * tao/Storable_Factory.h:
            * tao/Storable_File_Guard.h:
            * tao/Storable_File_Guard.cpp:
            * tao/Storable_FlatFileStream.h:
            * tao/Storable_FlatFileStream.cpp:

              Added exceptions to throw when read and write
              failures occur.
              Added support to backup persistent files
              and restoring when an exception is encountered
              when trying to read from the file.

            * tests/Storable/Savable.h:
            * tests/Storable/Savable.cpp:
            * tests/Storable/data_files:
            * tests/Storable/data_files/bad_binary.dat:
            * tests/Storable/data_files/bad_int.dat:
            * tests/Storable/data_files/bad_string.dat:
            * tests/Storable/data_files/bad_unsigned_int.dat:
            * tests/Storable/data_files/good.dat:
            * tests/Storable/run_test.pl:
            * tests/Storable/test.cpp:

              Update to test that backup file will be
              used if an exception is encountered.
              Verify this works for reading of various
              types of data.

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_ReaderWriter.cpp:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

              Removed streaming reading error handling and let
              Storable_FlatFileStream operations throw
              Storable_Read_Exceptions instead. This way Storable_File_Guard
              can transparently try to use backup files if a read exception
              is encountered during reading.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Enable support for backup/restore of persistent files.

            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/GroupService:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/GroupService/ObjectGroup_0:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/GroupService/ObjectGroup_global:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/NameService:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/NameService/NameService:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/NameService/NameService_0:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/NameService/NameService_1:
            * orbsvcs/tests/FT_Naming/FaultTolerant/corrupt_data/NameService/NameService_2:
            * orbsvcs/tests/FT_Naming/FaultTolerant/run_persistence_test.pl:

              Update persistence test to verify that backup files are
              generated and will be used if a corrupt file is being
              read.

    Fri Jan 25 22:39:26 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

              Fixed warnings for unused exception variables. Some of them were
              printing the wrong exception.

            * utils/logWalker/Log.cpp:

              Fixed warning for sprintf of size_t.

            * utils/nslist/nslist.cpp:

              Changed variables to size_t to avoid potential loss of data warning.

    Fri Jan 25 22:05:54 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/ImplRepo_Service/README:

              Updated FaultTolerant_ImR_Locator section

    Thu Jan 24 16:01:37 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

              Merged trunk to OCI_Reliability_Enhancements branch.

    Wed Jan 23 23:05:41 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

              Add yield calls to equivalence test section to avert race conditions
              on some platforms.

            * utils/nslist/nslist.cpp:

              Change count argument conversion to strtoul to better match range.

    Wed Jan 23 16:55:34 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/Naming_Service.mpc:

              Removed install to $ACE_ROOT/bin to revert back to how
              Naming Service was previously.

    Wed Jan 23 00:05:57 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * utils/nslist/nslist.cpp:

              Added --count argument to override the default maximum number of
              entries to retrieve per request to the NameService. The tao_ft_naming
              server returns CORBA:NO_IMPLEMENT when the number of entries is greater
              than the how_many argument and the tao_ft_naming server was started
              the -u or -r flags. The tao_ft_naming server is not able to support the
              iterator interface in redundant mode (-u or -r flags).

    Tue Jan 22 22:52:17 UTC 2013  Quynh Nguyen  <nguyenq@stladvantage.com>

            * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:

            * tao/ImR_Client:
            * tao/Monitor:
            * tao/Utils:

            Fix bug 479 caused by the Activator, which truncated a
            server's command line string it is more than 1024 bytes.


    Tue Jan 22 19:37:57 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_ReaderWriter.cpp:

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

            * tao/Storable_Base.h:
            * tao/Storable_Base.inl:
            * tao/Storable_File_Guard.cpp:
            * tao/Storable_FlatFileStream.h:
            * tao/Storable_FlatFileStream.cpp:

              Additional ACE Development Guidelines conformance updates in
              preparation for merge.

    Tue Jan 22 15:12:59 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * utils/logWalker/GIOP_Buffer.h:
            * utils/logWalker/GIOP_Buffer.cpp:
            * utils/logWalker/Invocation.cpp:
            * utils/logWalker/Thread.cpp:

              Fixed type conversion issues - size_t to long & int.

            * utils/nsgroup/nsgroup.cpp:

              Fixed warning for unused exception variable.

    Tue Jan 22 04:05:51 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

            * bin/tao_other_tests.lst:

              Excluded tests for FT_Naming from Win32.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Added missing initialization for naming_manager_ior_file_name_.

    Mon Jan 21 22:52:17 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:

              Added check for nil object prior to querying if it is a group.

            * utils/nsgroup/run_test.pl:

              Added tests to expose the issue with nil objects in naming service.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

            * tao/CSD_Framework/CSD_Framework_Loader.cpp:

            * tao/CSD_ThreadPool/CSD_TP_Strategy_Factory.cpp:
            * tao/CSD_ThreadPool/CSD_TP_Task.cpp:
            * tao/CSD_ThreadPool/CSD_ThreadPool.cpp:

            * tao/Dynamic_TP/DTP_Config.cpp:
            * tao/Dynamic_TP/DTP_ORBInitializer.cpp:
            * tao/Dynamic_TP/DTP_ORB_Loader.cpp:
            * tao/Dynamic_TP/DTP_POA_Loader.h:
            * tao/Dynamic_TP/DTP_POA_Loader.cpp:
            * tao/Dynamic_TP/DTP_POA_Strategy.inl:
            * tao/Dynamic_TP/DTP_POA_Strategy.cpp:
            * tao/Dynamic_TP/DTP_Task.cpp:
            * tao/Dynamic_TP/DTP_Thread_Lane_Resources_Manager.h:
            * tao/Dynamic_TP/DTP_Thread_Lane_Resources_Manager.cpp:
            * tao/Dynamic_TP/DTP_Thread_Pool.h:
            * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

            * tao/ImR_Client/ImR_Client.cpp:

            * tao/Invocation_Adapter.cpp:
            * tao/Invocation_Retry_State.cpp:
            * tao/ORB_Core.cpp:

            * tao/PortableServer/LifespanStrategy.h:
            * tao/PortableServer/LifespanStrategyPersistent.cpp:
            * tao/PortableServer/LifespanStrategyTransient.h:
            * tao/PortableServer/LifespanStrategyTransient.cpp:
            * tao/PortableServer/Root_POA.cpp:

            * tao/Stub.inl:
            * tao/Stub.cpp:
            * tao/Synch_Invocation.cpp:
            * tao/default_client.cpp:

            * utils/logWalker/GIOP_Buffer.h:
            * utils/logWalker/GIOP_Buffer.cpp:

            * utils/nsgroup/nsgroup.cpp:

              Additional updates to conform with ACE Development Guidelines
              in preparation for merge.

    Mon Jan 21 21:43:20 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.h:
            * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.cpp:
            * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context_Factory.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Factory.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_ReaderWriter.cpp:

              Updated based on ACE Development Guidelines in preparation
              for merge.

    Fri Jan 18 23:51:32 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_Main.cpp:

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context_Factory.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Round_Robin.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.h:

              Updated based on ACE Development Guidelines in preparation
              for merge.

    Fri Jan 18 22:43:55 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/ImplRepo_Service/Config_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/INS_Locator.cpp:
            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
            * orbsvcs/ImplRepo_Service/Locator_Options.cpp:
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:
            * orbsvcs/ImplRepo_Service/Server_Info.cpp:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
            * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.cpp:
            * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp:
            * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.cpp:
            * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.cpp:
            * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:

              Updated based on ACE Development Guidelines in preparation
              for merge.

    Thu Jan 17 19:36:08 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.cpp:
            * orbsvcs/tests/FT_Naming/Load_Balancing/client.cpp:

              Wrapped literal strings in ACE_TEXT.

            * utils/nsgroup/run_test.pl:

              Removed test steps for Redmine Bug #468.

    Thu Jan 17 15:32:12 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

              Throw exception if trying to add a member whose first
              profile is at IIOP version 1.0 since this version does
              not support tagged components.

    Thu Jan 17 14:36:29 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

            * bin/tao_orb_tests.lst:

              fix path in Dynamic TP ORB test declaration.

    Tue Jan 15 21:18:30 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

              Cleanup unused arguments

            * tests/Storable/Savable.cpp:

              Replaced const integer literal value with ACE_CHAR_MAX macro

    Tue Jan 15 18:18:12 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.cpp:

              Wrapped literal strings in ACE_TEXT.

    Tue Jan 15 01:28:10 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Added check for invalid nil object reference being passed in to
              add_member_to_iogr.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

              Added check for user passing in a null object reference as a member.

            * utils/nsgroup/run_test.pl:

              Added test steps to expose Redmine Bug #468.

    Mon Jan 14 21:49:20 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/Federation/Hello.cpp:
            * orbsvcs/tests/FT_Naming/Federation/client.cpp:
            * orbsvcs/tests/FT_Naming/Federation/server.cpp:

              Added missing ACE_TEXT wrapper macros

            * orbsvcs/tests/FT_Naming/Federation/README:

              Added test documentation

            * orbsvcs/tests/FT_Naming/Federation/NamingTask.h:
            * orbsvcs/tests/FT_Naming/Federation/NamingTask.cpp:

              Removed these files.

    Mon Jan 14 19:51:29 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * tests/Storable/README:
            * tests/Storable/Savable.h:
            * tests/Storable/Savable.cpp:
            * tests/Storable/run_test.pl:
            * tests/Storable/test.cpp:

              Clean up of the test.

            * bin/tao_orb_tests.lst:

              Added Storable test to the list.

            * bin/tao_other_tests.lst:

              Removed restriction that FT_Naming tests
              are not to run for static builds.

    Sun Jan 13 01:53:16 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/README.FT_Naming:

              Renamed file.

            * orbsvcs/Naming_Service/FT_Naming_README:

              Removed this file.

    Fri Jan 11 22:42:28 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Added debug level filter

    Fri Jan 11 22:05:18 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Fixing crash from ior file for defunct backup ImR_Locator.

    Fri Jan 11 20:17:59 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant/README:

              Updated README to incorporate tao_ft_naming ior option changes made
              to the equivalence test.

    Fri Jan 11 03:55:40 UTC 2013  Carey Morris  <morrisc@ociweb.com>

            * orbsvcs/ImplRepo_Service/tao_imr_i.cpp

            Fix ior to strip JACORB: from server name if present.

    Fri Jan 11 19:11:55 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Fixed -h option to work in standalone, primary and backup roles.
              Fixed -g option to only work in the backup role.
              Added -h option to usage description.

            * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerant/run_equivalence_test.pl:

              Refactored equivalence test to use the single profile ior files
              instead of corbaloc object references. Added object reference
              validation checks to verify that the primary and backup references
              point to different objects.

            * utils/nsgroup/run_test.pl:

              Change the tests tao_ft_naming -g option to -h since -g is now only
              valid when the tao_ft_naming is running in the backup role.

    Fri Jan 11 17:17:51 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

            * bin/tao_orb_tests.lst:

              Add ORB_ThreadPool test to suite.

            * tao/Dynamic_TP/DTP_Thread_Lane_Resources_Manager.cpp:
            * tao/Dynamic_TP/DTP_Thread_Pool.h:
            * tao/Dynamic_TP/DTP_Thread_Pool.inl:
            * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

              Clean up intermediate changes and debug output.

            * tests/Dynamic_TP/ORB_ThreadPool/Client.cpp:
            * tests/Dynamic_TP/ORB_ThreadPool/Server.cpp:
            * tests/Dynamic_TP/ORB_ThreadPool/run_test.pl:
            * tests/Dynamic_TP/ORB_ThreadPool/server.conf:

              Fix the run_test.pl and clean up client/server sources.

    Fri Jan 11 03:55:40 UTC 2013  Phil Mesnier  <mesnier_p@office.socket.net>

            * tao/Dynamic_TP/DTP_ORBInitializer.cpp:
            * tao/Dynamic_TP/DTP_Thread_Lane_Resources_Manager.cpp:
            * tao/Dynamic_TP/DTP_Thread_Pool.h:
            * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

              Fix assorted bugs exposed by new test.

            * tests/Dynamic_TP/ORB_ThreadPool:

            * tests/Dynamic_TP/ORB_ThreadPool/Client.cpp:
            * tests/Dynamic_TP/ORB_ThreadPool/ORB_ThreadPool.mpc:
            * tests/Dynamic_TP/ORB_ThreadPool/Server.cpp:
            * tests/Dynamic_TP/ORB_ThreadPool/Test.idl:
            * tests/Dynamic_TP/ORB_ThreadPool/Test_i.h:
            * tests/Dynamic_TP/ORB_ThreadPool/Test_i.cpp:
            * tests/Dynamic_TP/ORB_ThreadPool/client.conf:
            * tests/Dynamic_TP/ORB_ThreadPool/run_test.pl:
            * tests/Dynamic_TP/ORB_ThreadPool/server.conf:

              New test for the dynamic ORB thread pool. The run_test.pl script
              is not ready yet.

    Thu Jan 10 23:21:36 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

             Added missing ACE_TEXT macros and changed char to ACE_TCHAR

            * orbsvcs/tests/FT_Naming/FaultTolerant/run_equivalence_test.pl:

             Added test support for tao_ft_naming single profile ior and
             multiple profile ior file option arguments.


    Thu Jan 10 21:25:44 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_README:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Added option, -h, to output naming manager IOR
              of service being launched.

    Thu Jan 10 16:34:22 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context_Factory.cpp:
            * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Factory.cpp:

              Fix so the actual persistent directory is passed to the
              Storable_FlatFileFactory constructor and that is then
              used by the factory to construct the full path of the
              persistent file using the directory name and file name.
              This simplies the code and allows absolute directory
              paths to work properly.

    Thu Jan 10 15:24:09 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_README:

              Clarified usage of options.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Updated usage to print info on -n option for tao_ft_naming.

    Thu Jan 10 00:59:01 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

              Fixed main so that ORB_init() processes arguments before parsing
              other arguments.

            * orbsvcs/tests/FT_Naming/FaultTolerant/run_equivalence_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerant/run_failover_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerant/run_persistence_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerant/run_test.pl:

             Fixed ORBDebugLevel processing in all of the scripts

    Wed Jan  9 22:54:44 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

            * DevGuideExamples/Multithreading/DynamicThreadPool/MessengerServer.cpp:

              Update to use the new DTP_* class names.

            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:
            * orbsvcs/Naming_Service/FT_Naming_README:
            * tao/Dynamic_TP/DTP_POA_Strategy.inl:
            * tao/Dynamic_TP/DTP_POA_Strategy.cpp:

              Fuzz fixes.

    Wed Jan  9 20:23:33 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant/FaultTolerant.mpc:

              Renamed FaultTolerance.mpc to correspond with directory name change.

            * orbsvcs/tests/FT_Naming/FaultTolerant/README:

              Updated test documentation.

            * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

              Added more missing ACE_TEXT macros

            * orbsvcs/tests/FT_Naming/FaultTolerant/run_equivalence_test.pl:

              Minor cleanup

            * orbsvcs/tests/FT_Naming/FaultTolerant/run_persistence_test.pl:

              Removed duplicate argument.

            * utils/nsgroup/README.nsgroup:

              Updated by removing references to type_id argument

            * orbsvcs/tests/FT_Naming/FaultTolerant/FaultTolerance.mpc:

              Removed this file.

    Wed Jan  9 19:51:27 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/Naming_Service/Naming_Service.mpc:

              Set install variable to $(ACE_ROOT)/bin so
              that executables will have sym links in
              $ACE_ROOT/bin like other orbsvcs services.

    Wed Jan  9 19:38:32 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

              Fixed memory leak.

    Wed Jan  9 19:09:43 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

            * tao/Dynamic_TP/DTP_Config.h:
            * tao/Dynamic_TP/DTP_Config.cpp:
            * tao/Dynamic_TP/DTP_ORBInitializer.h:
            * tao/Dynamic_TP/DTP_ORBInitializer.cpp:
            * tao/Dynamic_TP/DTP_ORB_Loader.h:
            * tao/Dynamic_TP/DTP_ORB_Loader.cpp:
            * tao/Dynamic_TP/DTP_POA_Loader.h:
            * tao/Dynamic_TP/DTP_POA_Loader.cpp:
            * tao/Dynamic_TP/DTP_POA_Strategy.h:
            * tao/Dynamic_TP/DTP_POA_Strategy.inl:
            * tao/Dynamic_TP/DTP_POA_Strategy.cpp:
            * tao/Dynamic_TP/DTP_Task.h:
            * tao/Dynamic_TP/DTP_Task.inl:
            * tao/Dynamic_TP/DTP_Task.cpp:
            * tao/Dynamic_TP/DTP_Thread_Pool.h:

              Added these files.

            * tests/Dynamic_TP/Config_Loader/Test.cpp:
            * tests/Dynamic_TP/Config_Loader/svc.conf:

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/run_test.pl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/server.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc1.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc2.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc3.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc4.conf:

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

            * tests/Dynamic_TP/POA_Loader/Test.cpp:
            * tests/Dynamic_TP/POA_Loader/svc.conf:

              Modified these files.

            * tao/Dynamic_TP/Dynamic_TP_Config.h:
            * tao/Dynamic_TP/Dynamic_TP_Config.cpp:
            * tao/Dynamic_TP/Dynamic_TP_ORBInitializer.h:
            * tao/Dynamic_TP/Dynamic_TP_ORBInitializer.cpp:
            * tao/Dynamic_TP/Dynamic_TP_ORB_Loader.h:
            * tao/Dynamic_TP/Dynamic_TP_ORB_Loader.cpp:
            * tao/Dynamic_TP/Dynamic_TP_POA_Loader.h:
            * tao/Dynamic_TP/Dynamic_TP_POA_Loader.cpp:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.h:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.inl:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.cpp:
            * tao/Dynamic_TP/Dynamic_TP_Task.h:
            * tao/Dynamic_TP/Dynamic_TP_Task.inl:
            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              Removed these files.

              Unified the naming convension for the Dynamic_TP library. All class names and
              svc.conf objects are prefixed with DTP_ or TAO_DTP_ as appropriate.

    Wed Jan  9 16:46:56 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant/client.cpp:

              Removed original object group and member creation
              and validation code as it's been supplanted by
              testing of groups and members created using server.cpp,
              LB_server, and Basic code.

    Wed Jan  9 16:15:12 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerant:

              Renamed FaultTolerance directory to
              FaultTolerant to be consistent with
              FT naming directories elsewhere.

            * orbsvcs/tests/FT_Naming/FaultTolerance:

              Removed.

            * bin/tao_other_tests.lst:

              Update to account for test directory
              nam change.

    Wed Jan  9 15:40:43 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Fix previous commit that had incorrect variable setting.

    Wed Jan  9 15:29:44 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/Basic.h:
            * orbsvcs/tests/FT_Naming/FaultTolerance/Basic.cpp:

              Removed unneeded #include. Made comments more
              descriptive.

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Fixed spelling error. Made variable name more
              descriptive.

    Wed Jan  9 14:17:02 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Fixed termination of filename string.

    Wed Jan  9 13:17:17 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

              Pass ObjectGroupUpdate object instead of just object ID
              to group factory when informing that object group is stale.
              This is so that if the change type is NEW or DELETED the
              object group list can be marked as stale.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Pass ObjectGroupUpdate object instead of just object ID
              to naming manager when informing that object group is stale.
              Add debug statements to verify update object group and
              naming context calls have been made.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:

              In handling a stale object group, if the change type is
              NEW or DELELETED, mark the list store as stale.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Track if the persistent file has been created yet and if so
              propagate the change type as NEW to peer.

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:

              Make list_store_ protected so that FT_PG_Group_Factory
              can access.

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

              Add stale attribute and use that to help decide if
              state is obsolete.

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Remove 1 second delay between name server calls in
              object group equivalence test since we're no longer
              bound by 1 second resolution of file time stamp
              to determine if staleness.

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalence_test.pl:

              Pass the debug_level variable to the naming service so
              that debug statements can be seen.

    Wed Jan  9 04:13:41 UTC 2013  "Kevin Stanley"  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_README:

              Updated documentation to clarify use of the -o option.

    Wed Jan  9 00:36:30 UTC 2013  Phil Mesnier  <mesnier_p@ociweb.com>

            * tao/Dynamic_TP/DTP_Thread_Lane_Resources_Manager.cpp:
            * tao/Dynamic_TP/DTP_Thread_Pool.h:
            * tao/Dynamic_TP/DTP_Thread_Pool.inl:
            * tao/Dynamic_TP/DTP_Thread_Pool.cpp:

              Cleaned up unused indirection code. There are no separately configurable
              lanes with this thread pool implementation.

    Wed Jan  9 00:23:50 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/Basic.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/LB_server.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/server.cpp:
            * utils/nsgroup/nsgroup.cpp:

              Added missing ACE_TEXT macros

    Tue Jan  8 20:52:42 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Removed unused parameters.

    Tue Jan  8 20:44:08 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/tests/ImplRepo/run_test.pl:

              Cleanup fuzz error.

    Tue Jan  8 20:15:02 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

              Fixed jacorb_server to be read in as a bool.

    Tue Jan  8 19:22:59 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Re-ordered and removed repeated calling of create_server
              for new servers.

            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Ensuring the info->server var is null if no object is
              created.

    Tue Jan  8 18:45:22 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Missed writing out info.jacorb_server for XML persistence.

    Tue Jan  8 18:15:28 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Cleaned up dead code.

            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Fixed warning.

            * orbsvcs/ImplRepo_Service/README.txt:
            * orbsvcs/tests/ImplRepo/README:

              Added fault tolerant ImplRepo_Service documentation.

    Tue Jan  8 17:55:22 UTC 2013  Carey Morris  <morrisc@ociweb.com>

            * orbsvcs/ImplRepo_Service/Config_Backing_Store.cpp
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp
            * orbsvcs/ImplRepo_Service/Locator_Repository.h
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp
            * orbsvcs/ImplRepo_Service/INS_Locator.cpp
            * orbsvcs/ImplRepo_Service/Server_Info.h
            * orbsvcs/ImplRepo_Service/Server_Info.cpp
            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h
            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp
            * orbsvcs/ImplRepo_Service/ImR_Locator_i.h
            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.h
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp

    Tue Jan  8 07:50:31 UTC 2013  Phil Mesnier  <mesnier_p@office.socket.net>

            * tao/Dynamic_TP/DTP_Thread_Lane_Resources_Manager.h:
            * tao/Dynamic_TP/DTP_Thread_Lane_Resources_Manager.cpp:
            * tao/Dynamic_TP/DTP_Thread_Pool.h:
            * tao/Dynamic_TP/DTP_Thread_Pool.inl:
            * tao/Dynamic_TP/DTP_Thread_Pool.cpp:
            * tao/Dynamic_TP/Dynamic_TP_Config.cpp:
            * tao/Dynamic_TP/Dynamic_TP_ORBInitializer.cpp:

            * tao/ORB_Core.cpp:
            * tao/params.h:
            * tao/params.cpp:

              Intermediate commit of ORB dynamic thread pool implementation. This borrows from
              the RTCORBA ThreadPool policy but with an aim towards simplifying. The config
              uses the same thread pool definition struct as the POA thread pool. To configure
              an ORB, pass -ORBDynamicThreadPoolName to ORB_init().

    Mon Jan  7 19:19:05 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:

              Re-ordered pointer members to match reverse order
              of deletes in destructor. (Should really matter
              but seeing if it gets rid of or moves a seg fault
              seen on a test server.)

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

              Remove static string as it's not needed.

    Mon Jan  7 15:24:34 UTC 2013  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/ImR_Locator.idl:

              Added unique repo id for valid file names.

            * orbsvcs/ImplRepo_Service/Locator_Repository.h:

              Made Server and Activator hash map keys a typedef.

            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h:
            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

              Added reading in repo unique id parameters and refactored
              creating servers and activators into XML_Backing_Store and
              Shared_Backing_Store.

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Added hash map for server and activator repo unique ids
              to use to create valid filenames and refactored identifying
              existing servers from Locator_XMLHandler and added tracking
              repo unique ids.

            * orbsvcs/ImplRepo_Service/XML_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Added support to write extra name value pairs to XML and
              refactored server and activator loading from
              Locator_XMLHandler.

    Fri Jan  4 23:03:10 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistence_test.pl:

              Fix problem starting the group member object server when the
              directory has been changed.

    Fri Jan  4 22:19:52 UTC 2013  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/Basic.h:
            * orbsvcs/tests/FT_Naming/FaultTolerance/Basic.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/LB_server.h:
            * orbsvcs/tests/FT_Naming/FaultTolerance/LB_server.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/Test.idl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/server.cpp:

              Added to create object group member server objects for fault tolerance
              persistence tests.

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/FaultTolerance.mpc:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistence_test.pl:

              Modified to incorporate the object group member server for
              fault tolerance persistence tests.

    Fri Jan  4 19:51:21 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Moved sleep statement in object group equivance test
              so server 2 can detect persistent change.

    Fri Jan  4 19:14:49 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * tao/Storable_FlatFileStream.cpp:

              Handle EOF state correctly when reading an integer.

    Fri Jan  4 18:29:28 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:

              Removed unneeded include.

    Fri Jan  4 18:21:03 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:

              Reordered the list store and storable factory members
              so that the list store is deleted first since it has
              a reference to the storable factory.

    Thu Jan  3 23:02:01 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * MPC/config/ftnaming.mpb:
            * orbsvcs/tests/FT_Naming/FaultTolerance/FaultTolerance.mpc:
            * orbsvcs/tests/FT_Naming/Load_Balancing/Load_Balancing_Name_Service.mpc:
            * orbsvcs/tests/FT_Naming/Replication/Replication.mpc:

              Removed extraneous dependencies.

    Thu Jan  3 17:09:27 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:

              Fix lazy loading of group map so get_group_map() will
              always read from persistent store in the first invocation.

    Wed Jan  2 22:13:53 UTC 2013  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

              Construct file guards with redundant flag set.

    Wed Jan  2 21:44:01 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>


            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant:

              Removed this empty directory.

    Wed Jan  2 21:09:23 UTC 2013  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/Naming_Service.mpc:

              Removed reference to removed ft_portablegroup.mpb base project.

            * orbsvcs/orbsvcs/FT_Naming_Serv.mpc:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Group_Factory.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Moved FT_PG_* files into Naming/FaultTolerant directory. They are
              tightly coupled with the FT_Naming Service and should not be an
              independent library in PortableGroup.

            * MPC/config/ft_portablegroup.mpb:

              Removed unnecessary base file.

            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Group_Factory.cpp:
            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Object_Group_Storable.h:
            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Object_Group_Storable.cpp:
            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PortableGroup.mpc:
            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/ft_portablegroup_export.h:

              Removed these files.
              Moved FT_PG_* files into Naming/FaultTolerant directory. They are
              tightly coupled with the FT_Naming Service and should not be an
              independent library in PortableGroup.

    Mon Dec 31 20:48:24 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_Repository.h:
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Cleaned up unneeded parameter.

    Mon Dec 31 15:24:48 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Config_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.h:

              Added doxygen comments.

    Sat Dec 29 05:27:51 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_Options.h:
            * orbsvcs/ImplRepo_Service/Locator_Repository.h:
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Added doxygen comments and cleaned up virtual functions.

    Sat Dec 29 00:27:11 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

              Removed unnecessary include statements and updated doxygen
              comments.

    Fri Dec 28 21:53:11 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

              Removed command line processing support
              Added doxygen fields

            * orbsvcs/tests/FT_Naming/FaultTolerance/README:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:

              Updated test documentation

            * utils/nsgroup/nsgroup.cpp:

              Refactored to add command line processing support that was previously
              provided by nsgroup_svc

    Fri Dec 28 21:40:45 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Config_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
            * orbsvcs/ImplRepo_Service/Locator_Options.cpp:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Cleanup logging and wide character support.

    Fri Dec 28 18:44:07 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * bin/tao_other_tests.lst:

              Added fault tolerant ImplRepo test.

            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

              Cleanup of log statements.

            * orbsvcs/ImplRepo_Service/Config_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Config_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/Locator_Repository.h:
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Fixed return type for repo_mode.

    Fri Dec 28 16:13:55 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

              Added back in unintentionally deleted code and cleaned up.

            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

              Cleaned up logging.

    Fri Dec 28 15:33:23 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/FtNaming.mpc:

              Added nsgroup_svc to project.

            * utils/nsgroup/nsgroup_svc.h:
            * utils/nsgroup/nsgroup_svc.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/nsgroup_svc.cpp:

              Moved nsgroup_svc.h & cpp FaultTolerant Naming Service
              directory.

            * orbsvcs/tests/FT_Naming/FaultTolerance/FaultTolerance.mpc:
            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:
            * utils/nsgroup/nsgroup.mpc:
            * utils/nsgroup/nsgroup.cpp:
            * utils/nsgroup/run_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/Faulttolerance.mpc:

              Modified to account for change in placement of the
              nsgroup_svc class into the FtNaming library.

    Fri Dec 28 14:01:24 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/ImR_Locator.idl:

              Made activator update oneway.

            * orbsvcs/ImplRepo_Service/Locator_Repository.h:
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

              Changed sync_load to pass no parameters and calling
              sync_load in get_server and get_activator.

            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

              Changed to force ping call when server is requested.

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Changed to store off needed updates and not update the repo
              until sync_load is called.

    Thu Dec 27 21:49:00 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/orbsvcs/FT_Naming_Serv.mpc:

              Fixed to not pickup undesired idl files.

    Thu Dec 27 20:42:31 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/orbsvcs/FT_Naming_Serv.mpc:

              Moved mpc file to orbsvcs directory to be standard.

            * orbsvcs/orbsvcs/FtNaming.mpc:

              Moved export file to FT_Naming_Serv.mpc.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Serv.mpc:

              Removed this file.

    Thu Dec 27 20:31:10 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalence_test.pl:

              Updated equivalence objectgroup test

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistence_test.pl:

              Made object group directory name consistent with name service directory
              name


    Thu Dec 27 18:01:25 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Fixing include error.

    Thu Dec 27 13:05:53 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/orbsvcs/FtNaming.mpc:

              Added missing file from project (needed for install).

    Wed Dec 26 23:01:04 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_README:

              Created README for the FT_Naming Service separate from the
              TAO Naming Service.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Location_Index_Map.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.h:

              Updated documentation formatted for doxygen.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Made error messages clearer for invalid arguments and combinations of
              arguments.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

              Replaced argument name with a more appropriate name. Was previoulsy POA
              ID, but it is actually the id of the object as registered with the POA.

    Wed Dec 26 21:40:39 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Changed main error return code

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalence_test.pl:

              Fixed error checking of client process

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:

              Fixed error message


    Wed Dec 26 19:09:59 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * bin/tao_other_tests.lst:

              Added FaultTolerance and Federation tests.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Added process and thread printout to error messages. Changed debug level
              fro printing out debug messages.

            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Added catch for exceptions that might be created while creating a new
              object group.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

              Throw mor meaningful exceptions when utilities encounter difficulties.

            * orbsvcs/tests/FT_Naming/Federation/client.cpp:
            * orbsvcs/tests/FT_Naming/Federation/server.cpp:

              Extended test to bind the root context in another naming service to more
              fully test a federated naming service.

    Sun Dec 23 20:18:26 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

              Added missing include needed for for gettimeofday.

    Fri Dec 21 22:58:59 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

              Removed extraneous comment.  Added protection for leak against
              thrown exception in creation.

            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Removed duplicate code.

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Removed unused arg warnings for now.

            * utils/nsgroup/nsgroup_svc.cpp:

              Added printout of usage on failure of commands.

    Fri Dec 21 22:43:47 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Updated Failover and Equivalance tests

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistence_test.pl:

              Additional cleanup of Failover and Persistance script files

            * utils/nsgroup/run_test.pl:

              Added directory exist test before directory cleanup

    Fri Dec 21 20:46:55 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

              Fix so that when determining if state is obsolete
              with respect to the persistent store that the stream
              is opened before trying to determine time stamp.

    Fri Dec 21 16:46:52 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

              Fix getting next group ID so that it always unique,
              even among IDs for groups that have been deleted.

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Created multiple object groups in the object group
              persistence test.

    Fri Dec 21 16:17:25 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h:
            * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:

              Added code to check started to determine if ior should
              be used to retrieve the server object from the orb.  Also
              changed to use rebind for the activator.

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Fixed to truncate handle prior to calling fdopen.

            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Added writing started to the server xml to indicate if
              the server object should be created or removed in the
              replica.

    Fri Dec 21 03:41:20 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/tests/FT_Naming/Load_Balancing/run_test.pl:
            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

              Updated to use -v argument and clean up the object
              group persistence directory.

            * orbsvcs/tests/FT_Naming/Load_Balancing/NameService:
            * orbsvcs/tests/FT_Naming/Load_Balancing/NameService/README:

              Removed these files.

    Fri Dec 21 03:14:14 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

              Handle case where there are no group ids.

            * utils/nsgroup/run_test.pl:

              Add argument for object group persistence directory.

    Fri Dec 21 00:01:59 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

              Refactored client.cpp to provide sub methods for all three fault
              tolerant test use cases

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalence_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistence_test.pl:

              Refactored scripts to solely utilize the test client for all the
              tests.

    Thu Dec 20 20:57:26 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Updated implementation to replace the object reference
              for the object group when the first member is added.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

              Modified order of empty_ and distribute_ to avoid warning.

            * tests/Storable/test.cpp:

              Added missing include file.

    Thu Dec 20 20:46:40 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

              Fix computation of next group ID.

    Thu Dec 20 17:29:49 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/CosEvent.mpc:

              Added missing dependency on IFR_Client.

    Thu Dec 20 16:40:36 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:

            Removed type_id arguments from group_create method calls

    Thu Dec 20 16:31:35 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

              Fixed a "new char []" without delete [].

    Thu Dec 20 16:21:56 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Object_Group_Storable.h:
            * orbsvcs/orbsvcs/PortableGroup/FaultTolerant/FT_PG_Object_Group_Storable.cpp:

              Added add_member_to_iogr member function to support specialization.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:

              Made members protected to allow use in derived classes.
              Made member function virtual to support overriding.

            * orbsvcs/tests/Simple_Naming/client.cpp:

              Added missing return for failure case.  Added error message to describe
              failure in another case.

    Thu Dec 20 14:56:42 UTC 2012  Phil Mesnier  <mesnier_p@ociweb.com>

            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

              Reset the count of start attempts on every new client attempt. This
              prevents server lockout from occurring. warnings.

    Wed Dec 19 16:34:54 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/Faulttolerance.mpc:
            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalence_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistence_test.pl:
            * utils/nsgroup/nsgroup_svc.h:
            * utils/nsgroup/nsgroup_svc.cpp:

             Refactored client to use nsgroup_svc for FT_Naming FaultTolerance tests

    Wed Dec 19 14:03:08 UTC 2012  "Kevin Stanley"  <stanleyk@ociweb.com>

            * orbsvcs/tests/FT_Naming/Replication/client.cpp:
              Fixed issue with exception.

            * orbsvcs/tests/Redundant_Naming/client.cpp:

            Added missing include file.

    Wed Dec 19 13:36:22 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:

              Refactoring to accommodate derived classes that work
              with classes derived from PG_Object_Group_Storable,
              as will be the case for OG FT support.

    Wed Dec 19 05:57:23 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * TAO_IDL/tao_idl.mpc:

              Fixed tao_idl installed build to work with 32 and 64 bit install.

            * bin/tao_other_tests.lst:

              Added persistence and failover tests.

            * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

              Added code to ensure updating of repo after server info changes.

            * orbsvcs/ImplRepo_Service/Locator_Repository.h:
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

              Added class to ensure Server_Info changes were reported to the
              repository.

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Added logic to handle identifying a peer replica file from a
              defunct corba object.

    Tue Dec 18 22:50:34 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * DevGuideExamples/Multithreading/DynamicThreadPool:

            * DevGuideExamples/Multithreading/DynamicThreadPool/DynamicThreadPool.mpc:
            * DevGuideExamples/Multithreading/DynamicThreadPool/Messenger.idl:
            * DevGuideExamples/Multithreading/DynamicThreadPool/MessengerClient.cpp:
            * DevGuideExamples/Multithreading/DynamicThreadPool/MessengerServer.cpp:
            * DevGuideExamples/Multithreading/DynamicThreadPool/Messenger_i.h:
            * DevGuideExamples/Multithreading/DynamicThreadPool/Messenger_i.cpp:
            * DevGuideExamples/Multithreading/DynamicThreadPool/started_pch.h:
            * DevGuideExamples/Multithreading/DynamicThreadPool/started_pch.cpp:

              Created new dev guide example code to be used later for static
              thread pool creation using apply_to() in a user application.

    Tue Dec 18 22:47:55 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              Corrected a debug logging level issue for Growing new thread counts.

    Tue Dec 18 16:22:04 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * bin/tao_orb_tests.lst:
              Added run_test scripts into the nightly build for Dynamic Threadpooling

    Tue Dec 18 16:20:38 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:
              Refactored static threadpool configuration run_test script to follow tthe same calling pattern as the dynamic script.

    Tue Dec 18 00:44:12 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalence_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistence_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_test.pl:

              Added support for object group repository directory and invoking
              test client to eventually replace cmdline utility calls.
              Also corrected script name spelling errors.

            * orbsvcs/tests/FT_Naming/Federation/run_test.pl:

              Added support for object group repository directory

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalance_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistance_test.pl:

              Removed these files.

    Mon Dec 17 23:14:57 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/run_test.pl:

              Reworked the perl test scripts for more flexibility and better detection
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc1.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc3.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc4.conf:

              Adjusted the conf files to better reflect timing and success detection

    Mon Dec 17 23:14:40 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_Config.h:
            * tao/Dynamic_TP/Dynamic_TP_Config.cpp:
            * tao/Dynamic_TP/Dynamic_TP_POA_Loader.cpp:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.h:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.inl:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.cpp:
            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              Did considerable work to refactor the rules to evaluate
              parameters coming in for both apply_to( ) style and conf
              file style parameter loading.

              Also fixed the serialize servants boolean to be false as a
              default so that multi-threaded apps are able to perform better
              by default.

    Mon Dec 17 22:45:37 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Round_Robin.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Round_Robin.cpp:

              Reworked to return next_member instead of next_location to
              hide implementation details from Naming Context.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Use .in() operation instead of implicit conversion.

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

              Reset the write_occurred_ flag after notification to remote
              process.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

              Use string_free instead of delete to match creation style.

    Mon Dec 17 15:26:15 UTC 2012  Weiqi Gao  <gao_w@ociweb.com>

            * orbsvcs/tests/ImplRepo/run_test.pl:

              Expanded failover_test to cover more usage scenarios.

    Mon Dec 17 14:54:17 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

              Fixed warning.

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Added file locking for non-windows.

            * orbsvcs/ImplRepo_Service/XML_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Changed to have load be able to accept an already open
              file stream.

    Mon Dec 17 14:53:41 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:

              Added missing TAO namespace end declaration.

    Mon Dec 17 14:42:10 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/tests/ImplRepo/run_test.pl:
            * tao/Storable_Base.inl:
            * tao/Storable_Factory.h:
            * tao/Storable_FlatFileStream.cpp:
            * tests/Storable/Storable.mpc:
            * tests/Storable/test.cpp:

              Fix fuzz errors.

    Mon Dec 17 12:57:04 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_List_Store.cpp:

              Added class to keep track of the list of persistent object
              groups. The list itself is persistent.

            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:

              Updated to use PG_Group_List_Store when adding/destroying
              object groups or working with the map of object groups.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

              Added a few items that weren't originally being persisted.
              Added constructor suitable for initializing object from
              persistent store.
              Refactored usage of TAO_InputCDR so that common code
              is handled in anonymous function.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

              Updates to accommodate enhancements to derived class
              PG_Object_Group_Storable.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.cpp:

              Allow group ID to also be predetermined instead of
              only generating ID.

            * tao/Storable_Base.h:
            * tao/Storable_FlatFileStream.h:
            * tao/Storable_FlatFileStream.cpp:

              For read member function  pass pointer by value, not by
              reference.

    Sat Dec 15 22:06:02 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/Hello.h:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/Hello.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/Test.idl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/client.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/run_test.pl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/server.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc1.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc2.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc3.conf:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc4.conf:
              New set of files to test loading of thread configuration from
              svc.conf files rather from an apply_to() call from an application.

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/client.cpp:
              Modified this file to help with test logging and pass/fail detection.

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/svc.conf:

              Removed this file.

    Sat Dec 15 22:05:47 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.h:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.inl:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.cpp:

              These files were modified to accommodate lazy configuration
              when loading configuration from svc.conf files.

    Sat Dec 15 17:49:30 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:

            Cleaned up condition where test 3 was failing.

    Sat Dec 15 17:49:17 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_Config.h:
            * tao/Dynamic_TP/Dynamic_TP_ORB_Loader.cpp:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.inl:

            Fixed comparison condition where size_t was being compared to < 0
            which is not valid.
            Also set default of max_request_queue_depth to 0 rather than -1.

    Fri Dec 14 22:52:03 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/Faulttolerance.mpc:
            * orbsvcs/tests/FT_Naming/FaultTolerance/client.cpp:
            * orbsvcs/tests/FT_Naming/FaultTolerance/test_object.idl:

            Added a client process to provide a more robust test of the name service

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:

            Updated to use the client process

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalance_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistance_test.pl:
            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

            Added guard to keep from deleting files when the repository directory
            was not created.

    Fri Dec 14 22:15:22 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:
              Fixed tests to adhere to new functionality

    Fri Dec 14 22:03:35 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.h:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.inl:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.cpp:
            * tao/Dynamic_TP/Dynamic_TP_Task.h:
            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              Restructured initialization of Task thread variables.
              Cleaned out un-needed member variables from Strategy class.

    Fri Dec 14 21:53:37 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Removed case 'n' from parse args. It is handled elsewhere.

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:

              Updated comments to better describe operations.

            * orbsvcs/tests/FT_Naming/Replication/client.cpp:
            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

              Added performance tests.  Added a kill of the
              primary at the end to ensure that the replica
              is invoked in nslist.

            * orbsvcs/tests/Redundant_Naming/client.cpp:

              Added performance tests.

            * tao/Storable_File_Guard.cpp:

              Moved sync call to only be invoked when rwflags_
              indicate we are in write mode.

            * tao/Storable_FlatFileStream.h:

              Removed outdated todo comment.

            * tao/Storable_FlatFileStream.cpp:

              Replace int with size_t to avoid warning.

    Fri Dec 14 17:33:50 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * tao/PortableServer/LifespanStrategyTransient.cpp:

              Cleaned up warning.

            * tests/Storable/run_test.pl:

              Removed unneeded code.

    Fri Dec 14 15:19:40 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * tao/Storable_FlatFileStream.cpp:

              For some reason, under Linux at least, newlines following
              strings are not always consumed. So when reading an
              integer account for first character possibly being a newline.

    Fri Dec 14 00:19:06 UTC 2012  Phil Mesnier  <mesnier_p@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.h:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.inl:
            * tao/Dynamic_TP/Dynamic_TP_Task.h:
            * tao/Dynamic_TP/Dynamic_TP_Task.inl:
            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              Refactored the task to make better use of services provided by
              the base class. Also added separate locks to avoid the potential
              of unnecessary blocking for different roles.

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Hello.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

              Added some comments to the test server and fixed up the script to
              use a client to trigger a shutdown from within the server.

    Thu Dec 13 22:51:06 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

              Fixed leak of Factory_Registry when initializing the group factory.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:

              Fixed leak of ReplicationManager when registering the replica.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Made tracing debug statements only execute when debug level is
              set.

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:

              Fixed leak of TAO_Storable_Base when testing for existence
              of a directory.

    Thu Dec 13 22:38:33 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * tao/Storable_FlatFileStream.cpp:

              Revert for now after discovering Redundant_Naming test is
              failing.

    Thu Dec 13 20:40:08 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * tao/Storable_FlatFileStream.cpp:

              Don't use fscanf when reading integers as it will
              consume whitespace _after_ the newline. This may cause
              problems when binary data is included in the file,
              as is the case for persistent object group data,
              since binary data may look like whitespace.

            * tests/Storable/Savable.h:
            * tests/Storable/Savable.cpp:
            * tests/Storable/test.cpp:

              Updated to write/read binary data after an integer that
              starts with what looks like whitespace and verify the
              expected binary data is read.

    Thu Dec 13 19:13:38 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_equivalance_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_failover_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_persistance_test.pl:
            * orbsvcs/tests/FT_Naming/FaultTolerance/run_test.pl:

            Split the fault tolerant tests into seperate test scripts

    Thu Dec 13 19:11:42 UTC 2012  Weiqi Gao  <gao_w@ociweb.com>

            * orbsvcs/tests/ImplRepo/run_test.pl:

              Turned on strict mode, fixed detected errors.

    Thu Dec 13 15:49:06 UTC 2012  Weiqi Gao  <gao_w@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

              Fixed tao_imr_locator crash when -o points to existing file

    Wed Dec 12 23:38:39 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/Federation/run_test.pl:
            * utils/nsgroup/run_test.pl:

            Updated FT_Naming and nsgroup tests to cleanup after themselves

    Tue Dec 11 22:36:37 UTC 2012  Phil Mesnier  <mesnier_p@ociweb.com>

            * tao/CSD_ThreadPool/CSD_TP_Queue.h:
            * tao/CSD_ThreadPool/CSD_TP_Queue.inl:
            * tao/CSD_ThreadPool/CSD_TP_Queue.cpp:

              Cleaned out redundant queue depth tracking. This is handled in the TP
              strategy class.

            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              An attempt at lock optimization. Using the lock_ member to guard access
              to the queue directly so that multiple threads can participate in the
              wait.

    Tue Dec 11 22:12:52 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * tao/Storable_Base.h:
            * tao/Storable_File_Guard.cpp:
            * tao/Storable_FlatFileStream.h:
            * tao/Storable_FlatFileStream.cpp:

              Added abstraction for sync for use in ensuring written
              data persistent store. Implemented using fsync in
              Storable_FlatFileStream.

    Tue Dec 11 22:05:18 UTC 2012  Weiqi Gao  <gao_w@ociweb.com>

            * orbsvcs/tests/ImplRepo/airplane_client_i.h:
            * orbsvcs/tests/ImplRepo/airplane_client_i.cpp:
            * orbsvcs/tests/ImplRepo/run_test.pl:

              Added failover_test and persistent_ft_test.
              Made airplane_client return an error code when an exception occurs.

    Tue Dec 11 15:58:05 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_Main.cpp:

              Modified to avoid leak of TAO_FT_Naming_Service object.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:

              Modified to write out the single Naming Manager IOR
              file when running standalone.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Fixed issue with fini. Base class fini called after derived
              class to allow use of the orb while destroying POAs and
              cleaning up the IORTable.

            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

              Remove the persistence directory at conclusion of the test.

            * utils/nsgroup/run_test.pl:

              Fixed issues with test to run with standalone naming service.
              Clean up the persistence directory at conclusion of the test.

    Tue Dec 11 15:09:57 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

              Fixed "--primary" and "--backup" flags to not consume
              the following argument.

    Mon Dec 10 20:00:37 UTC 2012  "Kevin Stanley"  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/FtNaming.mpc:

              Fixed issue with dynamicflags.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/ftnaming_intf_export.h:

              Adding new file.

    Mon Dec 10 17:13:47 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context_Factory.cpp:

              Removed context_size argument from factory constructor since it is not used
              by the factory.

            * orbsvcs/orbsvcs/Naming/Naming_Loader.cpp:

              Removed include of removed Naming_Context_Factory.h

            * orbsvcs/orbsvcs/cosnaming_serv_persistence.mpb:

              Removed reference to removed Naming_Context_Factory.h/cpp files.
            * orbsvcs/orbsvcs/Naming/Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/Naming_Context_Factory.cpp:

              Removed these files since they are no longer used.

    Mon Dec 10 16:44:11 UTC 2012  tests\Dynamic_TP  <neeleym@ociweb.com>


            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Hello.h:
              Added this file to correct build problem in nightly build.

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/TestS.cpp:

              Removed this file.

    Mon Dec 10 15:39:23 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/ImR_Locator.idl:

              Added exception for register_replica.

            * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:

              Fixed memory leak (double char* duplication).

            * orbsvcs/ImplRepo_Service/Locator_Options.h:
            * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

              Made ImR Locator options similar to the NamingService.
              Now pass "--directory some_dir" to use multiple files
              for persistance and either "--primary" or "--backup"
              for fault tolerant ImR Locator.

            * orbsvcs/ImplRepo_Service/Locator_Repository.h:
            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

              Made registered_ private with protected accessor.

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Added error handling and temporary logging.

            * orbsvcs/tests/ImplRepo/run_test.pl:

              Changes from Locator_Options.

            * tao/PortableServer/Root_POA.cpp:

              Refactored ImR-ification of key into LifespanStrategy
              and Imr_Client.

            * tao/PortableServer/LifespanStrategy.h:

              Added interface for imr-ifying the key.

            * tao/PortableServer/LifespanStrategyTransient.h:
            * tao/PortableServer/LifespanStrategyTransient.cpp:

              Added transient null implementation for imr-ifying the key.

            * tao/PortableServer/LifespanStrategyPersistent.h:
            * tao/PortableServer/LifespanStrategyPersistent.cpp:

              Added persistent implementation for forwarding the call
              to the ImR_Client if use_imr.

            * tao/PortableServer/ImR_Client_Adapter.h:

              Added interface for imr-ifying the key.

            * tao/ImR_Client/ImR_Client.h:
            * tao/ImR_Client/ImR_Client.cpp:

              Added implementation for imr-ifying the key for each
              profile in the IMR ior and then combining the profiles
              into a single ior.

            * tao/ImR_Client/ImR_Client.mpc:
            * MPC/config/imr_client.mpb:

              Added dependency on iormanip.

            * tao/Profile.h:
            * tao/Profile.cpp:

              Made to_string const.

            * orbsvcs/orbsvcs/HTIOP/HTIOP_Profile.h:
            * orbsvcs/orbsvcs/HTIOP/HTIOP_Profile.cpp:
            * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:
            * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
            * tao/IIOP_Profile.h:
            * tao/IIOP_Profile.cpp:
            * tao/Strategies/COIOP_Profile.h:
            * tao/Strategies/COIOP_Profile.cpp:
            * tao/Strategies/DIOP_Profile.h:
            * tao/Strategies/DIOP_Profile.cpp:
            * tao/Strategies/SCIOP_Profile.h:
            * tao/Strategies/SCIOP_Profile.cpp:
            * tao/Strategies/SHMIOP_Profile.h:
            * tao/Strategies/SHMIOP_Profile.cpp:
            * tao/Strategies/UIOP_Profile.h:
            * tao/Strategies/UIOP_Profile.cpp:

              Same changes for to_string const from Profile.h.

    Mon Dec 10 14:41:47 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/Naming_Service.cpp:

              Added error check on creation of the naming server.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:

              Use in() operation for var type.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Refactored to avoid duplication of the init_new_naming functionality
              with the base Naming_Server.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Persistent_Naming_Context_Factory.cpp:

              Removed unnecessary context_size argument from constructor.

            * orbsvcs/orbsvcs/Naming/Naming_Loader.h:

              Removed forward declaration of TAO_Naming_Context_Factory since it is no
              longer needed.

            * orbsvcs/orbsvcs/Naming/Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:

              Refactored to allow for derived class to define which Naming Context impl
              factory should be used.

            * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.h:
            * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.cpp:
            * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context_Factory.h:
            * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context_Factory.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Factory.h:

              Removed TAO_Naming_Context_Factory generic base class since it
              really does not provide a common abstraction.

    Sun Dec  9 23:02:53 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/tests/FT_Naming/Replication/client.cpp:

              Added code to deal with potential race conditions when modifying on
              primary and checking the replica immediately.

    Sun Dec  9 21:25:24 UTC 2012  "Kevin Stanley"  <stanleyk@ociweb.com>

            * MPC/config/ftnaming.mpb:

              Added orbsvcslib to base projects.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:

              Added error message when exception occurs in registration.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:

              Resolved ownership of contextFactory and persistenceFactory.
              Fixed issue with exit on failed access to persistent store.

    Sat Dec  8 21:37:27 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Addressed memory leaks.

    Sat Dec  8 15:26:02 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/tests/FT_Naming/Federation/run_test.pl:

              Changed to use the -c option instead of -o for multi-profile
              IOR of redundant naming sevices.

    Sat Dec  8 15:12:36 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/Naming_Service/FT_Naming_Main.cpp:

              Fixed leak of Server object.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Added new option for combined naming service ior file name
              to allow users to access the ior of the single server and to
              obtain the combined/multi-profile IOR.

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:

              Removed delete of context impl factory from destructor. Still
              need to work out ownership of the factory.

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_test.pl:
            * orbsvcs/tests/FT_Naming/Load_Balancing/run_test.pl:
            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

              Updated tests to use -c option for multi-profile ior.

    Fri Dec  7 21:29:30 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Dynamic/server.cpp:

              Removed reference to deleted include.

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Dynamic_TP_POA_Test_Static.mpc:
              Repaired generation of IDL to fix build looking for generated files.

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/TestS.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

              Inclusion of test for max_pool_threads.

            * tests/Dynamic_TP/POA_Loader/Test.cpp:

              Fixed warnings in nightly build.

    Fri Dec  7 21:24:47 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_Task.h:
            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              Continued implementation of max_pool_threads.

    Fri Dec  7 21:04:34 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/Federation:
            * orbsvcs/tests/FT_Naming/Federation/Federation.mpc:
            * orbsvcs/tests/FT_Naming/Federation/Hello.h:
            * orbsvcs/tests/FT_Naming/Federation/Hello.cpp:
            * orbsvcs/tests/FT_Naming/Federation/NamingTask.h:
            * orbsvcs/tests/FT_Naming/Federation/NamingTask.cpp:
            * orbsvcs/tests/FT_Naming/Federation/Test.idl:
            * orbsvcs/tests/FT_Naming/Federation/client.cpp:
            * orbsvcs/tests/FT_Naming/Federation/run_test.pl:
            * orbsvcs/tests/FT_Naming/Federation/server.cpp:

              Added Fault Tolerant Name Service Federation test

    Fri Dec  7 16:20:37 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

              Was passing the wrong time to the context to determine
              if it was obsolete.  Use the file time instead.

    Fri Dec  7 12:44:53 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * tao/Storable_Base.h:
            * tao/Storable_FlatFileStream.h:
            * tao/Storable_FlatFileStream.cpp:

              Add operator << for TAO_OutputCDR and write
              member function to use with TAO_InputCDRs.

            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.h:
            * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Storable.cpp:

              Fleshed out read/write of object group state to file.

    Fri Dec  7 02:56:49 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.cpp:

              Delete the Context Impl Factor to avoid leak.

            * orbsvcs/tests/FT_Naming/Load_Balancing/Basic.h:
            * orbsvcs/tests/FT_Naming/Load_Balancing/Basic.cpp:
            * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.h:
            * orbsvcs/tests/FT_Naming/Load_Balancing/LB_server.cpp:
            * orbsvcs/tests/FT_Naming/Load_Balancing/Test.idl:
            * orbsvcs/tests/FT_Naming/Load_Balancing/client.cpp:

              Naming Manager interface is now in the FT_Naming module.

            * orbsvcs/tests/FT_Naming/Replication/client.cpp:

              Refined test for specific exceptions in case other CORBA
              Exceptions are thrown which should not indicate success.

    Thu Dec  6 22:49:38 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/FT_NamingManager.idl:

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_NamingReplication.idl:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

            * utils/nsgroup/nsgroup_svc.h:
            * utils/nsgroup/nsgroup_svc.cpp:

              Moved Fault Tolerant Naming interfaces into the FT_Naming module
              instead of FT since they are not standard CORBA interfaces.

    Thu Dec  6 22:20:22 UTC 2012  Byron Harris  <harrisb@ociweb.com>

            * tests/Storable/Savable.h:
            * tests/Storable/Savable.cpp:
            * tests/Storable/test.cpp:

              Made test more robust in error handling. Corrected
              file access modes in operations that modify state.

    Thu Dec  6 21:19:48 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * utils/nsgroup/run_test.pl:

            Updated test to use tao_ft_naming standalone arguments

    Thu Dec  6 14:44:27 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/CSD_ThreadPool/CSD_TP_Queue.h:
            * tao/CSD_ThreadPool/CSD_TP_Queue.inl:
            * tao/CSD_ThreadPool/CSD_TP_Queue.cpp:

              Implemented capture of queue depth as items are being added/removed.

    Thu Dec  6 14:36:33 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static:

            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Dynamic_TP_POA_Test_Static.mpc:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Hello.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/Test.idl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/client.cpp:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/run_test.pl:
            * tests/Dynamic_TP/POA_Loader/Dynamic_TP_POA_Test_Static/server.cpp:

              Creation of tests for:
                - min_pool_threads
                - init_pool_threads
                - thread_idle_time (timeout)
                - max_request_queue_depth

    Thu Dec  6 14:36:21 UTC 2012  "Marc Neeley"  <neeleym@ociweb.com>

            * tao/Dynamic_TP/Dynamic_TP_POA_Loader.cpp:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.inl:
            * tao/Dynamic_TP/Dynamic_TP_POA_Strategy.cpp:
            * tao/Dynamic_TP/Dynamic_TP_Task.h:
            * tao/Dynamic_TP/Dynamic_TP_Task.inl:
            * tao/Dynamic_TP/Dynamic_TP_Task.cpp:

              Implementation of max_request_queue_depth.
              Fuzz clean up.

    Thu Dec  6 20:13:55 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_NamingReplication.idl:

              Made notification calls oneway.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Added support for running in standalone mode to write out IORs.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

              Refactored to use is_obsolete. Allows Storable_Naming_Context to use
              file time, while FT_Storable_Naming_Context uses the stale flag.

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_test.pl:

              Updated test to use -o and -g to access the combined IORs more
              consistently.

            * tao/Storable_File_Guard.h:

              Made accessor for get_object_last_changed to be public to allow
              users of the abstraction to determine when the underlying store
              changed.

    Thu Dec  6 17:19:19 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_test.pl:
            * utils/nsgroup/run_test.pl:

             Restructured tests and corrected copy and paste errors

    Thu Dec  6 13:40:38 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/Locator_Options.h:
            * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

              Added back "-y" option, which will allow Locator to use the
              multi-file backing store, but without having replication.

            * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:

              Moved poa activation to init.

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Only reporting the ior when the fault tolerant imr is available,
              and added handling for standalone IMR.

            * orbsvcs/ImplRepo_Service/XML_Backing_Store.cpp:

              Cleanup of warnings.

            * orbsvcs/tests/ImplRepo/run_test.pl:

              Changes from locator options and making tests work.

    Thu Dec  6 03:57:39 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Round_Robin.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:

              Upated locking of fault tolerant naming service.

            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

              Minor formatting changes.

            * orbsvcs/tests/FT_Naming/Load_Balancing/run_test.pl:

              FIxed test to use latest FT Naming Service arguments.

            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

              Updated tests to use more descriptive variables.

    Wed Dec  5 23:01:07 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:

              Updates to combine object references and write out combined object
              reference to a file.

            * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:

              Revised error message for writing ior to file.

            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:

              Modified test script to use new arguments for iors.

    Wed Dec  5 18:00:43 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

            * orbsvcs/ImplRepo_Service/ImR_Locator.idl:

              Changed to pass back the fault tolerant imr when registering
              replicas.

            * orbsvcs/ImplRepo_Service/Locator_Options.h:
            * orbsvcs/ImplRepo_Service/Locator_Options.cpp:

              Changed "-y" option to "-primary" and "-backup" and removed
              "-i".

            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.h:
            * orbsvcs/ImplRepo_Service/Shared_Backing_Store.cpp:

              Changed to expect the other replica to write an ior file to the
              shared directory for discovering the other replica.

            * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
            * tao/ImR_Client/ImR_Client.cpp:

              Adding logging.

            * orbsvcs/tests/ImplRepo/run_test.pl:

              Adding to fault tolerance tests.

            * orbsvcs/tests/Notify/Bug_1884_Regression/common.h:
            * orbsvcs/tests/Notify/Bug_1884_Regression/filter.cpp:
            * orbsvcs/tests/Notify/Bug_3688_Regression/common.h:
            * orbsvcs/tests/Notify/Persistent_Filter/Filter.cpp:
            * orbsvcs/tests/ImplRepo/RestartServer/MessengerClient.cpp:
            * orbsvcs/tests/ImplRepo/RestartServer/Terminator.cpp:

              Cleaning up compiler errors for vcexpress.

    Wed Dec  5 16:29:17 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * utils/nsgroup/run_test.pl:

            Simplified targets and additional cleanup

    Wed Dec  5 01:42:34 UTC 2012  Kevin Stanley  <stanleyk@ociweb.com>

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_NamingReplication.idl:

              Modified registration to pass references for replicated services
              in support of creation of mulit-profile IOR.

            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Replication_Manager.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/FaultTolerant/FT_Storable_Naming_Context.cpp:

              Updated to support coordination of replication IORs transparently
              and to create a multi-profile IOR.

            * orbsvcs/orbsvcs/Naming/Naming_Server.h:
            * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.h:
            * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:

              Factored out writing IOR files.

            * orbsvcs/tests/FT_Naming/Replication/client.cpp:
            * orbsvcs/tests/FT_Naming/Replication/run_test.pl:
            * orbsvcs/tests/Redundant_Naming/run_test.pl:

              Removed some extraneous prints. Revised perl to manage IOR
              files better.

    Tue Dec  4 23:04:01 UTC 2012  Phillip LaBanca  <labancap@ociweb.com>

            * orbsvcs/tests/FT_Naming/FaultTolerance/run_test.pl:
            * utils/nsgroup/run_test.pl:

            Updated tests with tao_ft_naming command line arguments --primary
            and --backup

